// FixedToolBar.h: interface for the CFixedToolBar class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _FIXEDTOOLBAR_H_
#define _FIXEDTOOLBAR_H_

#include <qtoolbar.h>

#include <F100Qt.h>

class QMainWindow;

/*!
	\class CFixedToolBar FixedToolBar.h
	\brief Permet de crer une barre d'outil fixe non dplaable
	\author Quaranta David
	\version 1.00
	
	\ingroup F100Qt
*/
class DLLEXPORT CFixedToolBar : public QToolBar 
{
public:
	/** Constructeur
	 * @param[in] parent Fentre parente de la barre d'outil
	 */
	CFixedToolBar(QMainWindow* parent);

	/** Permet d'ajouter une fentre tirable pour que la barre d'outil prenne toute la place
	 * verticalement ou horizontalement de la fentre parente suivant son orientation
	 */
	void AddStretchableWidget();
};

#endif
