
#ifndef CSETTINGSWIDGET_H
#define CSETTINGSWIDGET_H

#include "SettingTabWidget.h"

#include <F100Qt.h>

/*!
	\class CSettingsWidget SettingsWidget.h
	\brief Permet d'ajouter une page d'options dans la fentre des options pour un outil.
	\author Quaranta David
	\version 1.01
	
	\ingroup F100Qt
*/
class DLLEXPORT CSettingsWidget : public CSettingTabWidget
{
public:
	/** Constructeur
	 * @param[in] pMainWindow Fentre principale
	 * @param[in] pToolName Nom de l'outil (ie. Retourn par OP_WINDOWTYPESTR)
	 * @param[in] bRemoveRecursive Vrai la restauration des donnes supprime les cls rcursivement pour dtruire les sous-cls
	 */
	CSettingsWidget(IMainWindow* pMainWindow, const char* pToolName , bool bRemoveRecursive = FALSE);

	/** @return Retourne le nom de l'outil associ  cette fentre d'options */
	const QString&  GetToolName() const;

private:
	QString m_sToolName;
};

#endif
