// CasioBackup.cpp: implementation of the CCasioBackup class.
//
//////////////////////////////////////////////////////////////////////

#include "CasioBackup.h"

#include "DriveAccess.h"

#define HEADER_SIZE (sizeof(backup_header))
unsigned char backup_header[] = {0x00, 0xFF, 0x42, 0x61, 0x63, 0x6B, 0x75, 0x70, 0x00};


//-----------------------------------------------------------------------------------
CCasioBackup::CCasioBackup(bool bOneFile)
:CDriveFile(bOneFile, false, HEADER_SIZE)
{
	m_bIsValid = false;
}

//-----------------------------------------------------------------------------------
CCasioBackup::~CCasioBackup()
{
	CloseDrive();
}

//-----------------------------------------------------------------------------------
int CCasioBackup::CloseDrive()
{
	int nRet   = CDriveFile::CloseDrive();
	m_bIsValid = false;
	return nRet;
}

//-----------------------------------------------------------------------------------
int CCasioBackup::GetSizeInBytes() const
{
	return DRIVE_SIZE * 2;
}

//-----------------------------------------------------------------------------------
bool CCasioBackup::IsValid()
{
	if(!m_bIsValid) {
		m_bIsValid = true;
		m_bIsValid = HeadersAreValid();
	}
	return m_bIsValid;
}

//-----------------------------------------------------------------------------------
void* CCasioBackup::GetHeader(int nNbHeader)
{
	if(nNbHeader >= 0 && nNbHeader < 2) {
		backup_header[HEADER_SIZE - 1] = nNbHeader + '1';
		return backup_header;
	}
	return NULL;
}
