
#ifndef CASIOBACKUP_H
#define CASIOBACKUP_H


#include "DriveFile.h"

/*!
	\class CCasioBackup CasioBackup.h
	\brief Permet de lire un backup Casio
	\author Quaranta David
	\version 1.00
	
	\ingroup F100TK
	Classe trs simpliste ne servant actuellement qu' savoir si un fichier contient bien un Backup de Casio pour
	les calculatrices Graph100(+)
*/
class DLLEXPORT CCasioBackup : public CDriveFile  
{
public:
	/** Constructeur
	 * @param[in] bOneFile A vrai si on veut qu'un seul fichier soit cr.
	 * @remarks Paramtre sans effet si l'on travaille dans une zone mmoire
	 */
	CCasioBackup(bool bOneFile = false);

	/** Destructeur */
	virtual ~CCasioBackup();

	virtual int CloseDrive();
	int         GetSizeInBytes() const;
	bool        IsValid();
	void*       GetHeader(int nNbHeader);

private:
	bool m_bIsValid;
};

#endif
