// F100Devices.cpp: implementation of the CF100Devices class.
//
//////////////////////////////////////////////////////////////////////

#include "F100Devices.h"

#include "SerialDevice.h"

#define NUMBER sizeof( devices ) / sizeof( devices[0] )

CSerialDevice serial;

IComDevice* devices[] = {&serial};
const char* names[]   = {"COM"};

//-----------------------------------------------------------------------------------
int CF100Devices::GetNbComDevices()
{
	return NUMBER;
}

//-----------------------------------------------------------------------------------
IComDevice* CF100Devices::GetComDevice(int nId)
{
	if(nId >= 0 && nId < NUMBER)
	{
		return devices[nId];
	}
	return NULL;
}

//-----------------------------------------------------------------------------------
const char* CF100Devices::GetComDeviceName(int nId)
{
	if(nId >= 0 && nId < NUMBER)
	{
		return names[nId];
	}
	return NULL;
}
