
#ifndef F100DEVICES_H
#define F100DEVICES_H

#include <IComDevice.h>
#include <F100_Op.h>


/*!
	\class CF100Devices F100Devices.h
	\brief Liste les priphriques de transfert disponible.
	\author Quaranta David
	\version 1.00
	
	\ingroup F100TK

	Permet de rcuprer les interfaces de transfert disponibles dans le kit F100TK.
 */
class DLLEXPORT CF100Devices
{
public:
	/** Retourne le nombre de priphrique disponible */
	static int         GetNbComDevices();
	
	/** Permet de rcuprer un priphrique de communication
	 * @param[in] nId Numro du priphrique voulu
	 * @return Retourne NULL si nId n'est pas valide, sinon un pointeur sur le priphrique demand
	 * @see IComDevice
	 */
	static IComDevice* GetComDevice(int nId);

	/** Permet de rcuprer le nom d'un priphrique de communication
	 * @param[in] nId Numro du priphrique voulu
	 * @return Retourne NULL si nId n'est pas valide, sinon un pointeur sur le nom du priphrique demand
	 * @see IComDevice
	 */
	static const char* GetComDeviceName(int nId);
};

#endif
