
#include "utils.h"

//-----------------------------------------------------------------------------------
void upper(char& c)
{
	if(c >= 'a' && c <= 'z') {
		c += 'A' - 'a';
	}
}

//-----------------------------------------------------------------------------------
void upper(char* s)
{
	if(s) {
		for(int i = 0; s[i] != '\0'; i++) {
			upper(s[i]);
		}
	}
}

//-----------------------------------------------------------------------------------
void upper(string& s)
{
	for(int i = 0; i < s.length(); i++) {
		upper(s[i]);
	}
}

//-----------------------------------------------------------------------------------
bool areEqual(const string& s1, string& s2, bool bCaseSensitive)
{
	if(bCaseSensitive) {
		return s1 == s2;
	}
	if(s1.length() != s2.length()) {
		return false;
	}
	for(int i = 0; i < s2.length(); i++) {
		if(s1[i] != s2[i]) {
			char a = s1[i];
			char b = s2[i];
			upper(a);
			upper(b);
			if(a != b) {
				return false;
			}
		}
	}
	return true;
}

//-----------------------------------------------------------------------------------
string section(const string& s, char c, int start, int end)
{
	int nEnd;
	int nPos = 0;
	int i    = 0;
	for(i = 0; i < start && nPos != -1; i++)
	{
		nPos = s.find(c, nPos);
		if(nPos != -1) {
			nPos++;
		}
	}
	if(nPos >= 0)
	{
		if(end < 0)
		{
			return s.substr(nPos);
		}
		else
		{
			nEnd = nPos;
			for(; i <= end && nEnd != -1; i++)
			{
				nEnd = s.find(c, nEnd+1);
			}
			if(nEnd == -1)
			{
				return s.substr(nPos);
			}
			return s.substr(nPos, nEnd - nPos);
		}
	}
	return "";
}
