
#ifndef UTILS_H
#define UTILS_H

#include <string>
using namespace std;

#include <F100_Op.h>

/** \file utils.h
 * \brief Regroupe une liste de fonctions sans dpendances Qt.
 * \ingroup F100TK
 */

/** Permet de rcuprer le plus grand lment */
#define F100MAX(a, b) ((b) < (a) ? (a) : (b))

/** Permet de rcuprer le plus petit lment */
#define F100MIN(a, b) ((a) < (b) ? (a) : (b))

/** Permet d'avoir la valeur absolue d'un nombre */
#define F100ABS(a)    ((a) >= 0  ? (a) : -(a))

/** Permet de mettre en masjuscule une chaine de caractres
 * @param[in,out] s Chaine de caractres  modifier
 */
DLLEXPORT void upper(char* s);

/** Permet de mettre en masjuscule une chaine de caractres
 * @param[in,out] s Chaine  modifier
 */
DLLEXPORT void upper(string& s);

/** Permet de savoir si deux chaines de caractres sont identiques
 * @param[in] s1 Chaine  comparer
 * @param[in] s2 Chaine  comparer
 * @param[in] bCaseSensitive A vrai pour indiquer que l'on veut diffrencier les majuscules des minuscules, sinon  faux
 * @return Vrai si les deux chaines de caractres sont equales, sinon faux
 */
DLLEXPORT bool areEqual(const string& s1, string& s2, bool bCaseSensitive = true);

/** Permet de dcouper un string suivant un dlmiteur
 * @param[in] s chaine  lire
 * @param[in] c Dlmiteur
 * @param[in] start Zone de dbut
 * @param[in] end Zone de fin (-1 spcifie tout le contenu du string)
 * @return Retourne une section du string \a s
 */
DLLEXPORT string section(const string& s, char c, int start, int end = -1);


#endif
