// ApperanceTab.h: interface for the CApperanceTab class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _APPERANCETAB_H_
#define _APPERANCETAB_H_

#include <SettingTabWidget.h>

class QComboBox;
class QCheckBox;
class QPushButton;
class CLabel;
class QGroupBox;

class CApperanceTab : public CSettingTabWidget
{
	Q_OBJECT
public:
	CApperanceTab(IMainWindow* pMainWindow);

	int     DoSave();
	void    DoRefresh();
	void    DoInitWords();
	QString GetDescription() const;

private:
	void   SetColor(bool bActivePalette, QColorGroup::ColorRole nColorRole, const QColor &color);
	QColor GetColor(bool bActivePalette, QColorGroup::ColorRole nColorRole);
	void   RefreshStyle();

private slots:
	void   OnColorTypeChanged();
	void   OnColorChanged(const QColor& color);
	void   OnDefaultPalette();
	void   OnCopySelectedPalette();
	void   OnRefreshStyle();

private:
	QGroupBox*   m_pStyleGroup;
	QGroupBox*   m_pGroupPalette;
	QComboBox*	 m_pComboStyle;
	QCheckBox*	 m_pChkUsedCustomPalette;
	QComboBox*	 m_pComboPalette;
	QComboBox*	 m_pComboColorRole;
	CLabel*      m_pCmdChangeColor;
	QPushButton* m_pCmdCopyPalette;
	QPushButton* m_pCmdDefaultPalette;
	QPalette     m_qCustomPalette;
	bool		 m_bUsedCustomPalette;
	QColor		 m_BackgroundColor;
};

#endif
