// ConsoleWindow.h: interface for the ConsoleWindow class.
//
//////////////////////////////////////////////////////////////////////

#ifndef CONSOLEWINDOW_H
#define CONSOLEWINDOW_H

#include <qtextedit.h>
#include <qdockwindow.h>
#include <qtoolbutton.h>

class COpacityButton;
class IMainWindow;

class ConsoleWindow : public QDockWindow  
{
	Q_OBJECT;
public:
	ConsoleWindow(QWidget* parent = 0);
	virtual ~ConsoleWindow();

	double GetOpacity() const;
	void   SetOpacity(double dOpacity);

public slots:
	void OnWarning(const QString& msg);
	void OnError(const QString& msg);
	void OnInformation(const QString& msg);
	void undock();
	void dock();
	void show();
	void OnOpacityChanged();
	
protected slots:
    void languageChange();

private:
	void Update(bool bForceUpdate = FALSE);

public:
	static ConsoleWindow* GetMainInstance(QWidget* parent = 0);

public:
	static ConsoleWindow* m_pConsole;

private:
	QWidget         m_mainWidget;
	QTextEdit       m_output;
	QToolButton     m_clear;
	COpacityButton* m_pOpacity;
	double          m_dOpacity;
};

#endif // CONSOLEWINDOW_H
