// EditLinkTab.h: interface for the CEditLinkTab class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _EDITLINKTAB_H_
#define _EDITLINKTAB_H_

#include <SettingTabWidget.h>

class QListView;
class QListViewItem;
class QPopupMenu;

class CEditLinkTab : public CSettingTabWidget  
{
	Q_OBJECT
public:
	CEditLinkTab(IMainWindow* pMainWindow);

	int     DoSave();
	void    DoRefresh();
	void    DoInitWords();
	QString GetDescription() const;

	QPopupMenu* CreateMenu(QWidget* parent, QObject* receiver, const char* member);

public:
	static CEditLinkTab* GetInstance();

private:
	void    LoadLinks(const QString& sKey, QListViewItem* pItem);
	void    CreateLinks(const QString& sKey, QListViewItem* pItem);
	QString GetPath(QListViewItem* pItem) const;
	bool    IsDifferent();
	void    UpdateMenu(QPopupMenu* pMenu, QListViewItem* pItem, QObject* receiver, const char* member) const;

private:
	void    Serialize(QString& sLinks, const QString& sKey, QListViewItem* pItem);

private slots:
	void OnRightButtonClicked(QListViewItem*, const QPoint&);
	void OnItemRenamed(QListViewItem*, int);

private:
	QListView* m_pLinksList;
	QString    m_sLastLinks;

private:
	static CEditLinkTab* m_pInstance;
};

#endif
