
#include "IPCServer.h"
#include "IMainWindow.h"

#include <qsocketdevice.h>

//-----------------------------------------------------------------------------------
IPCServer::IPCServer(QObject* parent)
	: QServerSocket(QHostAddress((127 << 24) + 0 + 0 + 1), IPCPORT, 1, parent)
	, m_pMainWindow(NULL)
{
}

//-----------------------------------------------------------------------------------
void IPCServer::SetMainWindow(IMainWindow* pMainWindow)
{
	m_pMainWindow = pMainWindow;
	LoadFiles();
}

//-----------------------------------------------------------------------------------
void IPCServer::LoadFiles()
{
	if(m_pMainWindow && m_lFiles.count()) {
		m_pMainWindow->LoadFiles(m_lFiles);
		m_lFiles.clear();
	}
}

//-----------------------------------------------------------------------------------
void IPCServer::newConnection(int socket)
{
	QSocketDevice sock(socket, QSocketDevice::Stream);
	char buf[2048];
	int nSize = 0;
	int nRet;
	while((nRet=sock.waitForMore(2000)) > 0) {
		sock.readBlock((char*)&nSize, sizeof(nSize));
		if(nSize >= sizeof(buf)) {
			nSize = sizeof(buf) - 1;
		}
		if(nSize > nRet && sock.waitForMore(2000) < nSize) {
			break;
		}
		if(nSize > 0) {
			memset(buf, 0, sizeof(buf));
			sock.readBlock(buf, nSize);
			m_lFiles << buf;
		}
	}
	LoadFiles();
}
