
#ifndef OPTIONWINDOW_H
#define OPTIONWINDOW_H

#include <qwidget.h>

#include <IOptionWindow.h>

class QPushButton;
class IMainWindow;
class CSettingsWidget;
class CSettingsManager;
class CGeneralTab;
class CToolTab;

class OptionWindow : public QWidget, public IOptionWindow
{ 
    Q_OBJECT
public:
    OptionWindow(IMainWindow* pMainWindow, QWidget* parent = 0);

	int               GetPreference(Preference nPref) const;
	CTransfertWindow* CreateTransfertWindow(QWidget* pParent, int nTotalSize = -1);
	void              ShowSettingsWidget(CSettingsWidget* pWidget);
	CSettingsWidget*  GetSettingsWidget(const QString& sToolName) const;
	CCalcInfo*        GetCalcInfo();
	int	              DoLoad();
	int	              DoSave();
	void              AddSettingsWidget(CSettingsWidget* pWidget);
	void              OnToolsLoaded();

public slots:
	void              show();

protected slots:
	void              languageChange();

private slots:
	void              OnSaveConfig();
	void              OnRestartApplication();

private:
	IMainWindow*      m_pMainWindow;
	QPushButton*      m_pCmdCancel;
	CSettingsManager* m_pManager;
	CGeneralTab*      m_pGeneral;
	CToolTab*         m_pTools;
};

#endif // OPTIONWINDOW_H
