// ToolBar.h: interface for the CToolBar class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _TOOLBAR_H_
#define _TOOLBAR_H_

#include <qtoolbar.h>
#include <qvaluelist.h>

#include "defs.h"

class QAction;

typedef QValueList<QString> ToolList;

class CToolBar : public QToolBar
{
	friend class CToolBarSettings;
public:
	CToolBar(QMainWindow* parent);

	void     SetLastTool(const QString& sLastToolShown, const QString& sLastToolHidden);
	void     SetToolList(ToolsMap* pToolsMap);
	QString  GetToolShown() const;
	QString  GetToolHidden() const;
	void     Clear();
	void     ShowCustomize();
	QAction* GetToolAction(const QString& sToolName);

private:
	void     ShowTool(const QString& sToolName);
	void     Reset();

private:
	static int     GetNbSection(const QString& sText);
	static QString GetSection(const QString& sText, int nNum);
	static bool    IncludeIn(const QString& sText, const QString& sToolName);
	static QString ConvertToString(const ToolList& lTools);

private:
	ToolsMap* m_pToolsMap;
	ToolList  m_lToolsShown;
	ToolList  m_lToolsHidden;
	QString   m_sLastToolShown;
	QString   m_sLastToolHidden;
};

#endif
