// ToolBarSettings.h: interface for the CToolBarSettings class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _TOOLBARSETTINGS_H_
#define _TOOLBARSETTINGS_H_

#include <qdialog.h>

class CToolBar;
class QListView;
class QPushButton;
class QListViewItem;

class CToolBarSettings : public QDialog
{
	Q_OBJECT
public:
	CToolBarSettings(QWidget* parent, CToolBar* pToolBar);

private:
	void ShowTools(QListView* pList, const QString& sText);
	void FlushData();

private:
	static QString ConvertToString(QListView* pList);

private slots:
	void OnShowChanged(QListViewItem* pItem);
	void OnHideChanged(QListViewItem* pItem);
	void OnTransfert();
	void OnUp();
	void OnDown();

private:
	CToolBar*    m_pToolBar;
	QListView*   m_pShowList;
	QListView*   m_pHideList;
	QPushButton* m_pUp;
	QPushButton* m_pDown;
	QPushButton* m_pTransfert;
	bool         m_bShow;
};

#endif
