
#ifndef ASSOCFILE_H
#define ASSOCFILE_H

#include <qstring.h>

/** Ajoute F100 dans le registre pour pouvoir le lier  des extensions de fichier
 * @param[in] sF100Desc : Chaine de caractre spcifiant le type de fichier (Ex :Fichier Flash100, ou autre suivant la langue, etc.)
 * @return Vrai si russi, sinon faux
 */
bool IntallF100Reg(const QString& sF100Desc);

/** Supprime toutes les extensions (spares par un ';') et le path de Flash100 dans le registre */
void UninstallAssocFile(const QString& sExtensions);

/** Ajouter une extension pour que Flash100 puisse l'ouvrir */
bool AddAssocFile(const QString& sExtension);

/** Supprimer l'association entre Flash100 et cette extension */
void RemoveAssocFile(const QString& sExtension);

/** Retourne vrai si l'extension est associ  Flash100 */
bool IsAssociateWith(const QString& sExtension);

#endif
