
#include "frmabout.h"

#include <qcursor.h>

#include <APIFunction.h>

#define EMAIL	"david.quaranta@laposte.net"
#define SITE	"flash100.free.fr/xoops"

//-----------------------------------------------------------------------------------
frmAbout::frmAbout(QWidget* parent)
    : QDialog(parent, 0, TRUE, WStyle_Customize | WStyle_NormalBorder | WStyle_Title | WStyle_SysMenu),
	m_layout(this, QBoxLayout::TopToBottom, 5),
	m_lblVersion(this),
    m_cmdOk(this),
    m_line(this),
    m_lblThanks(this),
    m_lblEmail(this),
    m_lblSite(this)
{
    setCaption(tr("A Propos de Flash100"));

	m_layout.setResizeMode(QLayout::Fixed);

	m_layout.addWidget(&m_lblVersion);
	m_layout.addWidget(&m_line);
	m_layout.addWidget(&m_lblThanks);
	m_layout.addWidget(&m_lblEmail, 0, AlignCenter);
	m_layout.addWidget(&m_lblSite,  0, AlignCenter);
	m_layout.addWidget(&m_cmdOk,    0, AlignCenter);

	m_line.setFrameStyle(QFrame::HLine | QFrame::Sunken);

	QString sDesc = tr("Ce logiciel est entirement gratuit et peut tre distribu librement sans modification.\nToute vente de ce logiciel sans autorisation pralable est interdite.");
	QString sText = "<html><center><b>%1</b></center>%2</html>";
    m_lblVersion.setText(sText.arg(F100_VERSION, sDesc));

    m_lblThanks.setText(tr("Programme cr par QUARANTA David.\nRemerciements \n\
- Tonton1664, Whyp et LeadFiner pour la communication\n\
- SuPerNa pour son aide sur les fichiers CFX\n\
- Casioworld & Maitre Kiwi pour leurs ides ainsi que leurs tests"));

    m_cmdOk.setText("OK");
    m_cmdOk.setDefault(TRUE);

    m_lblEmail.setCursor(QCursor(PointingHandCursor));
  	m_lblEmail.setText("<a href=\"http://" + QString(EMAIL) +"\">" + tr("M'envoyer un email") + "</a>");
	m_lblEmail.setAlignment(Qt::SingleLine | Qt::AlignAuto);

    m_lblSite.setCursor(QCursor(PointingHandCursor));
    m_lblSite.setText(SITE);
	m_lblSite.setText("<a href=\"http://" + QString(SITE) +"\">" + tr("Site internet") +"</a>");
	m_lblSite.setAlignment(Qt::SingleLine | Qt::AlignAuto);

	//Slots
    connect(&m_lblSite,  SIGNAL(release(int)), SLOT(ShowSite()));
    connect(&m_lblEmail, SIGNAL(release(int)), SLOT(ShowEMail()));
    connect(&m_cmdOk,    SIGNAL(clicked()),    SLOT(close()));
}

//-----------------------------------------------------------------------------------
void frmAbout::ShowSite()
{
	LaunchNavigator(SITE);
}

//-----------------------------------------------------------------------------------
void frmAbout::ShowEMail()
{
	char buffer[1024];
	sprintf(buffer, "%s?subject=%s", EMAIL, F100_VERSION);
	OpenEMail(buffer);
}
