
#ifndef _F100CONSOLE_EN_
#define _F100CONSOLE_EN_

#define ECHEC		 "[ FAILED ]"
#define OK			 "[   OK   ]"
#define STR_CANCELED "[CANCELED]"

#define STR_ENTRY_POINT_NOT_FOUND "Entry point '%s not found!"
#define STR_PROTOCOL_LOAD_SUCCESS "Protocol %s %s loaded succesful."
#define STR_NO_LOAD_PROTOCOL      "Can't load protocol DLL!"

#define STR_NO_OPENPORT           "Can't open serial port!"
#define STR_NO_GETPORT			  "Can't read serial port!"
#define STR_NO_SETPORT		   	  "Can't set serial port!"
#define STR_TIME_OUT			  "Communication error! Calculator doesn't respond."
#define STR_NO_INIT				  "There was an error during the initialisation."
#define STR_NO_SEND				  "The message was not entirely sent."
#define STR_NO_SUPPORTED		  "This function was not supported by this protocol."
#define STR_UNKNOW_ERROR		  "An unknow error was happened!"
#define STR_INVALID_VALUE		  "The received value isn't correct!"
#define STR_CANT_CHANGE_TRANSFERT_MODE "Can't change transfert mode because it is impossible with this protocol."
#define STR_BAD_CALL			"(Internal Error) Bad call function."
#define STR_PROTOCOL			  "Protocol error : "
#define STR_WARNING				  "Warning : "
#define STR_ERROR				  "Error : "

#define STR_CANT_READ_FILE        "Can't read file!"
#define STR_CANT_OPEN_FILE        "Can't open file %s!"

#define STR_WNG_MAX_RAM_SIZE	  "The read file exceed 64KB. Only 64KB will be sended."

#define STR_ASKING_SEND			  "Post request..."
#define STR_WAIT_CONFIRMATION	  "Waiting confirmation..."
#define STR_SENDING_FILE	      "Sending file"
#define STR_SEND_CANCELED		  "Post was canceled by user."

#define STR_SUPPORTED_SPEED		  "speed is supported"
#define STR_SUPPORTED_SPEEDS	  "speeds are supported"
#define STR_BY_THIS_PROTOCOL	  "by this protocol :"

#define STR_WNG_BAD_PORT_NUM	  "The port number is invalid! Port #0 is selected."
#define STR_WNG_BAD_CABLE_NUM	  "The cable number is invalid! Cable #0 is selected."
#define STR_WNG_BAD_SPEED		  "The speed number is too big. The maximum speed is selected."
#define STR_INIT_PROTOCOL		  "Protocol initialisation..."
#define STR_INIT_PORT			  "Initialize serial port"
#define STR_UNKNOWORDER			  "Unknown order!"
#define STR_INVALID_ZONE_NUM	  "Entered zone number is invalid! (value between 1 and 12)"
#define STR_INVALID_DRIVE		  "Entered drive number is invalid! (value between 0 and 6)"
#define STR_TO					  " to "

#define STR_WNG_MAX_DRIVE_SIZE	  "The read file exceed 128KB. Only 128KB will be sended."
#define STR_EXPORT_DRIVE		  "Export request and erasing drive..."
#define STR_INVALID_SYSTEM		  "Invalid system!"

#define STR_INFO_START			  "------- Protocol informations -------"
#define STR_INFO_NAME			  "Name     : "
#define STR_CALC_TYPE             "CalcType : "
#define STR_INFO_VERSION		  "Version  : "
#define STR_INFO_AUTHOR			  "Author   : "
#define STR_INFO_DATE			  "Date     : "
#define STR_INFO_END			  "-------------------------------------"

#define STR_G100_LIKE             "AFX2.0(+)"
#define STR_GRAPH_LIKE            "CFX"
#define STR_CLASSPAD              "ClassPad"
#define STR_CALC_UNKNOW           "Unknow"

#define STR_DEVICE_START		  "---------- Available Device(s) ----------"
#define STR_DEVICE_PORT			  "\tPort(s)  : "
#define STR_DEVICE_CABLE		  "\tCable(s) : "
#define STR_DEVICE_END			  "-----------------------------------------"

#define NZ_VARIABLES			  "Variables"
#define NZ_BASIC				  "BASIC"
#define NZ_SYSTEM				  "System"
#define NZ_CHAR					  "Char"
#define NZ_LIST					  "List"
#define NZ_MATRIX				  "Matrix"
#define NZ_IMAGE				  "Image"
#define NZ_XLECT				  "XLect"
#define NZ_ADDIN				  "Add-In"
#define NZ_GRAPH                  "Graph"
#define NZ_LCL                    "Local"

#define STR_WAITING_REQUESTS	  "Waiting requests..."
#define STR_CREATING_FILE		  "Creating file "
#define STR_SENDING_CONFIRMATION  "Sending confirmation..."
#define STR_RECEIVING			  "Receiving "
#define STR_RECEIVING_DRIVE		  "Receiving..."
#define STR_IMPORT_DRIVE		  "Import drive request..."

#define STR_DEVICE_ERROR          "Device not found!"

#define STR_PRESENTATION		  "Flash100 lite version, work only in console mode and allow you to communicate with AFX 2.0(+) or other if external protocols exist.\n"
#define STR_THANKS				  "Thanks to : 2072, tonton1664 , Whyp and superna"

#define STR_HELP  "Help" << endl << \
	"Syntax         : F100Console [protocolname] [devicenum] [portnum] [cablenum] [speed] [order] [filename]" << endl << \
	"[order] et [filename] can be write several times" << endl << \
	"[protocolname] : DLL name to load. This DLL must be located in 'Protocols' directory." << endl <<\
	"[devicenum]    : [0..n] Device number to load. Get informations about available devices : F100Console -devices" << endl << \
	"[portnum]      : [0..n] (depends of device loaded)" << endl << \
	"[cablenum]     : [0..n] (depends of device loaded)" << endl <<  \
	"[speed]        : [0..n] speed number. For know supported speeds, you must just enter the protocol name" << endl << \
	"[order]        : 4 types" << endl << \
	"- RFlashx (x from 0 to 6) 0=system, 1=L:\\, ... Receive drive 'x' and save it in file [filename]" << endl << \
	"- Flashx  (x from 0 to 6) Send file [filename] into drive 'x'" << endl << \
	"- RAM Receive one or several RAM file(s). The files are saved in directory [filename]" << endl << \
	"([filename]/type/file), 'type' is file type (ie. BASIC, MATRIX, LIST, ...)" << endl <<  \
	"- RAMx (x from 1 to 12) Send file in 'x' zone number. (cf. memzone of 2072). [filename] can be a path or filename, which can contain wildcard characters (* and ?)."

#endif
