
#ifndef CASIOPROTOCOL_H
#define CASIOPROTOCOL_H

#include <Protocol.h>

class CasioG100Protocol : public CProtocol
{
public:
	CasioG100Protocol();

	int  SetTransfertMode(TRANSFERT nTransfert);
	void CloseCom(int nStatus);
	int  ImportDrive(int nLect);
	int  ExportDrive(int nLect, const void* pBuffer = NULL);

	int  SendRAMFile(unsigned short nZone, const char* name, unsigned int nSize, const char* password = NULL);
	int  WaitRAMFileConfirmation(unsigned short nZone, const char* password = NULL);

	int  ReceiveRAMFile(unsigned short& nZone, char* name, char* password = NULL);
	int  SendRAMFileConfirmation(bool bOk, unsigned short nZone, char* password = NULL);

	unsigned int GetUsefulSize(const void* pBuffer);

	unsigned int GetSizeOfDrives(bool bSystem, bool bDriveL, bool bDriveM, bool bDriveN,
			bool bDriveO, bool bDriveP, bool bDriveQ);

	int ReceiveData(void* buffer, unsigned int nRemainBytes);
	int SendData(const void* buffer, unsigned int nRemainBytes);
	CasioType GetCasioType() const;

protected:
	/** Confirme la rception d'un lecteur */
	int SendStart();
	int SendAck();

private:
	/** Utilis uniquement pour la reception de fichier en RAM */
	bool bCommInit;//A vrai si l'metteur a envoy 0x16
};

#endif
