
#include <F100_Op.h>

#include "CasioG100.h"

#define CHECK_PRT(ptr) if(!ptr) return NULL

EXPORT_SYMB void* Protocol_Request(F100_Op op, IProtocol* pProtocol)
{
	switch(op)
	{
	case OP_TOOLNAME:
		return (void*)"Casio";
	case OP_BUILDDATE:
		return (void*)__DATE__;
	case OP_VERSION:
#ifndef _DEBUG
		return (void*)"1.00";
#else
		return (void*)"1.00 (Debug)";
#endif
	case OP_AUTHOR:
		return (void*)"Quaranta David";
	case OP_CREATEINSTANCE:
		return (void*)new CasioG100Protocol();
	case OP_DELETEINSTANCE:
		CHECK_PRT(pProtocol);
		delete (CasioG100Protocol*)pProtocol;
		return NULL;
	}
	return NULL;
}
