
#ifndef _CGCOMM_H
#define _CGCOMM_H

#include <Protocol.h>

#ifdef _DEBUG
#	if GCOMM_NUM_VERSION == 100
#		define GCOMM_VERSION "1.00 (Debug)"
#	endif
#	if GCOMM_NUM_VERSION == 101
#		define GCOMM_VERSION "1.01 (Debug)"
#	endif
#	if GCOMM_NUM_VERSION == 110
#		define GCOMM_VERSION "1.10 (Debug)"
#	endif
#else
#	if GCOMM_NUM_VERSION == 100
#		define GCOMM_VERSION "1.00"
#	endif
#	if GCOMM_NUM_VERSION == 101
#		define GCOMM_VERSION "1.01"
#	endif
#	if GCOMM_NUM_VERSION == 110
#		define GCOMM_VERSION "1.10"
#	endif
#endif

class CGComm : public CProtocol  
{
public:
	CGComm();

	void CloseCom(int nStatus);

	int ImportDrive(int nLect);
	int ExportDrive(int nLect, const void* pBuffer = NULL);
	
	int SendRAMFile(unsigned short nZone, const char* name, unsigned int nSize, const char* password = NULL);

	int WaitRAMFileConfirmation(unsigned short nZone, const char* password = NULL);

	int ReceiveRAMFile(unsigned short& nZone, char* name, char* password = NULL);

	int SendRAMFileConfirmation(bool bOk, unsigned short nZone, char* password = NULL);

	unsigned int GetSizeOfDrives(bool bSystem, bool bDriveL, bool bDriveM, bool bDriveN,
			bool bDriveO, bool bDriveP, bool bDriveQ);

	int ReceiveData(void* buffer, unsigned int nRemainBytes);
	int SendData(const void* buffer, unsigned int nRemainBytes);
	unsigned int GetUsefulSize(const void* pBuffer);
	CasioType GetCasioType() const;

private:
	/* Mthodes utilisant la technologie GLink comme GComm */
	int SendPacket(const void* buffer, unsigned int nNbBytes, int time_out = -1);
	int ReceivePacket(void* buffer, unsigned int nMaxBytes, int time_out = -1);
	unsigned short CalcCheckSum(const unsigned char* buffer, unsigned short nSize);
};

#endif
