
#include <F100_Op.h>

#include "GComm.h"

#define CHECK_PRT(ptr) if(!ptr) return NULL;

EXPORT_SYMB void* Protocol_Request(F100_Op op, IProtocol* pProtocol)
{
	switch(op)
	{
	case OP_TOOLNAME:
		return (void*)"GComm";
	case OP_BUILDDATE:
		return (void*)__DATE__;
	case OP_VERSION:
		return (void*)GCOMM_VERSION;
	case OP_AUTHOR:
		return (void*)"Quaranta David";
	case OP_CREATEINSTANCE:
		return (void*)new CGComm();
	case OP_DELETEINSTANCE:
		CHECK_PRT(pProtocol);
		delete (CGComm*)pProtocol;
		return NULL;
	}
	return NULL;
}
