
#ifndef BACKUPWINDOW_H
#define BACKUPWINDOW_H

#include <CheckFileWindow.h>

class QListView;
class QListViewItem;
class QPushButton;
class QPopupMenu;

class BackupWindow : public CheckFileWindow
{
    Q_OBJECT
public:
	BackupWindow(CONSTRUCTOR_PARAMDEF);
	int  Init(INIT_PARAMDEF);
	void RefreshInfos();
	int	 LoadFrom(QDomElement& element);

protected:
	int	 DoReloadFile(bool bShowValidErr);
	void DoShowCaption();
	void DoInitWords();

private:
	void ShowPopup(int id);

protected slots:
	void ListClicked(int, QListViewItem*, const QPoint&);
	void ListDoubleClicked(QListViewItem*);

private:
	struct TInfo
	{
		int          nSize;
		unsigned int type;
		int          nStart;
		unsigned int nPart;
		unsigned int extra;
	};

private:
	QListView* driveList;
	QListViewItem* items[7];
	TInfo infos[7]; //Infos des lecteurs
	QPopupMenu* popupmenu;
};

#endif
