// BuildSettings.h: interface for the CBuildSettings class.
//
//////////////////////////////////////////////////////////////////////

#ifndef BUILDSETTINGS_H
#define BUILDSETTINGS_H

#include <qvgroupbox.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qlineedit.h>

#include <SettingsWidget.h>

#define TOOL_NAME "BuildDrive"

class CBuildSettings : public CSettingsWidget
{
	Q_OBJECT
public:
	enum
	{
		PREF_AUTO_BUILD = 0,
		PREF_AUTO_COMPRESS,
		PREF_BUILD_STEP,
	};

public:
	CBuildSettings(IMainWindow* pMainWindow);
	int     DoSave();
	void    DoRefresh();
	QString GetDescription() const;
	int     GetPreference(int nPref);
	QString GetUpxPath();
	QString GetUpxArg();
	void    DoInitWords();

private:
	int		    m_nBuildPreferences;
	QVBoxLayout m_qVBoxLayout;
	QVGroupBox  m_qBuildGroup;
	QVGroupBox  m_qUPXGroup;

	QCheckBox   m_chkAutoBuild;
	QCheckBox   m_chkAutoCompress;
	QWidget     m_pWidget;
	QHBoxLayout m_pHLayout;
	QLabel	    m_txtInterval;
	QComboBox   m_cmbAutoBuild;

	QLabel     m_lblUpxPath;
	QLineEdit  m_txtUpxPath;
	QLabel     m_lblUpxArg;
	QLineEdit  m_txtUpxArg;
	QString    m_sUpxPath;
	QString    m_sUpxArg;
};

#endif // BUILDSETTINGS_H
