
#include <qpixmap.h>

#include <F100_Op.h>
#include <IOptionWindow.h>

#include "BuildDriveWindow.h"
#include "BuildSettings.h"

EXPORT_SYMB void Tool_Request(F100_Op op, void** ret, IMainWindow* ptr1, Qt::WFlags ptr2, QTabWidget* ptr3, QWidget* parent)
{
	switch(op)
	{
	case OP_TOOLNAME:
		*((QString*)ret) = BuildDriveWindow::tr("Crateur de lecteur Rom-Disk");
		break;
	case OP_BUILDDATE:
		*ret = (void*)__DATE__;
		break;
	case OP_VERSION:
#ifndef _DEBUG
		*ret = (void*)"1.00";
#else
		*ret = (void*)"1.00 (Debug)";
#endif
		break;
	case OP_AUTHOR:
		*ret = (void*)"Quaranta David";
		break;
	case OP_CREATEINSTANCE:
		*ret = new BuildDriveWindow((CBuildSettings*)ptr1->GetOptionWindow()->GetSettingsWidget(TOOL_NAME), parent, ptr1, ptr2, ptr3);
		break;
	case OP_WINDOWTYPESTR:
		*ret = (void*)TOOL_NAME;
		break;
	case OP_TOOLBARICON:
		*((QPixmap*)ret) = BuildDriveWindow::GetDefaultIcon();
		break;
	case OP_ADDTOTOOLBAR:
		*((bool*)ret) = TRUE;
		break;
	case OP_FILEFILTER:
		*((QString*)ret) = QString::null;
		break;
	case OP_DESCRIPTION:
		*((QString*)ret) = BuildDriveWindow::tr("Permet de crer et de surveiller un lecteur virtuel au format ROM-DISK");
		break;
	case OP_SUPPORTEDFILE:
		*ret = (void*)"cfl";
		break;
	case OP_SETTINGSWIDGET:
		*ret = new CBuildSettings(ptr1);
		break;
	}
}
