// CFXSettings.cpp: implementation of the CCFXSettings class.
//
//////////////////////////////////////////////////////////////////////

#include "CFXSettings.h"

#include <qheader.h>

//-----------------------------------------------------------------------------------
CCFXSettings::CCFXSettings(IMainWindow* pMainWindow)
:CSettingsWidget(pMainWindow, TOOL_NAME),
 m_qVBoxLayout(this, 10),
 m_qList(this),
 m_qController(&m_qList, QString::null, QCheckListItem::RadioButtonController),
 m_qOptAllDrives(&m_qController, QString::null, QCheckListItem::RadioButton),
 m_qOptFirstEmpty(&m_qController, QString::null, QCheckListItem::RadioButton),
 m_qOptChooseDrive(&m_qController, QString::null, QCheckListItem::RadioButton)
{
	m_qVBoxLayout.addWidget(&m_qList, 0, AlignVCenter);

	m_qList.addColumn(QString::null);
	m_qList.header()->hide();
	m_qList.setSorting(-1);
	m_qList.ensureItemVisible(&m_qOptAllDrives);

	setCaption("CFX");

	DoInitWords();
	DoRefresh();
}

//-----------------------------------------------------------------------------------
int CCFXSettings::DoSave()
{
	m_nPreference = m_qOptFirstEmpty.isOn()
					+ m_qOptChooseDrive.isOn() * 2;

	WriteSettings("Preference", m_nPreference);
	return 1;
}

//-----------------------------------------------------------------------------------
void CCFXSettings::DoRefresh()
{
	ReadSettings("Preference", m_nPreference, 1);

	m_qOptAllDrives.setOn(m_nPreference == 0);
	m_qOptFirstEmpty.setOn(m_nPreference & 1);
	m_qOptChooseDrive.setOn(m_nPreference & 254);
}

//-----------------------------------------------------------------------------------
QString CCFXSettings::GetDescription() const
{
	return QString::null;
}

//-----------------------------------------------------------------------------------
void CCFXSettings::DoInitWords()
{
	m_qController.setText(0, tr("Paramtres de communication pour les CFX"));
	m_qOptAllDrives.setText(0, tr("Vrifier tous les lecteurs"));
	m_qOptFirstEmpty.setText(0, tr("S'arrter au premier lecteur vide"));
	m_qOptChooseDrive.setText(0, tr("Choisir le lecteur de dpart"));
}

//-----------------------------------------------------------------------------------
int CCFXSettings::GetPreference()
{
	return m_nPreference;
}
