
#include <F100_Op.h>

#include <qpixmap.h>

#include "CFXWindow.h"
#include "CFXSettings.h"

#include <IOptionWindow.h>


EXPORT_SYMB void Tool_Request(F100_Op op, void** ret, IMainWindow* ptr1, Qt::WFlags ptr2, QTabWidget* ptr3, QWidget* parent)
{
	switch(op)
	{
	case OP_TOOLNAME:
		*((QString*)ret) = CAPTION;
		break;
	case OP_BUILDDATE:
		*ret = (void*)__DATE__;
		break;
	case OP_VERSION:
#ifndef _DEBUG
		*ret = (void*)"1.12";
#else
		*ret = (void*)"1.12 (Debug)";
#endif
		break;
	case OP_AUTHOR:
		*ret = (void*)"Quaranta David";
		break;
	case OP_CREATEINSTANCE:
		*ret = new CFXWindow((CCFXSettings*)ptr1->GetOptionWindow()->GetSettingsWidget(TOOL_NAME), parent, ptr1, ptr2, ptr3);
		break;
	case OP_WINDOWTYPESTR:
		*ret = (void*)TOOL_NAME;
		break;
	case OP_TOOLBARICON:
		*((QPixmap*)ret) = CFXWindow::GetDefaultCFXPixmap();
		break;
	case OP_ADDTOTOOLBAR:
		*((bool*)ret) = TRUE;
		break;
	case OP_FILEFILTER:
		*((QString*)ret) = QString::null;
		break;
	case OP_DESCRIPTION:
		*((QString*)ret) = CFXWindow::tr("Permet d'envoyer des fichiers CFX de Add-In Installer et Calipso");
		break;
	case OP_SUPPORTEDFILE:
		*ret = (void*)"cfx";
		break;
	case OP_SETTINGSWIDGET:
		*ret = new CCFXSettings(ptr1);
		break;
	}
}
