
#ifndef BASICEDITOR_H
#define BASICEDITOR_H

#include "Editor.h"

class QListView;
class QListViewItem;
class QPushButton;
class QPopupMenu;
class CBASICDrive;

class CBASICEditor : public CEditor
{
	Q_OBJECT
public:
	CBASICEditor(DriveWindow* parent = 0);

	int	    DoReloadFile();
	void    DoInitWords();
	QString GetCaption() const;

private:
	int  CreateDrive(CBASICDrive*& pDrive, bool bWriteMode = FALSE);
	void SetGarbageTo(QListViewItem* pItem);
	void EditDrive(QListViewItem* pItem, int nAction);

private slots:
	void OnToggleView();
	void OnListClicked(QListViewItem*, const QPoint&);
	void OnPopupMenuActivated(int);
	void RefreshPopupMenu(QListViewItem*);
	void OnOptimization();
	void OnItemRenamed(QListViewItem*, int);

private:
	QListView*   m_pList;
	QPushButton* m_pToggleView;
	QPushButton* m_pOptimization;
	QPopupMenu*  m_pPopupMenu;
	bool         m_bViewAllFile;
};

#endif
