
#ifndef DRIVEWINDOW_H
#define DRIVEWINDOW_H

#include "CheckFileWindow.h"

class CEditor;
class QToolButton;

class DriveWindow : public CheckFileWindow
{
	Q_OBJECT
	friend class CROMDISKEditor;
	friend class CBASICEditor;
	friend class CEditor;
public:
	DriveWindow(CONSTRUCTOR_PARAMDEF);
	int         Init(INIT_PARAMDEF);
	int         LoadFrom(QDomElement& element);
	int         SaveTo(QDomElement& element);

protected:
	int			DoReloadFile(bool bShowValidErr);
	void		DoShowCaption();
	void        DoInitWords();
	void        OnFileRemoved();
	void        CloseEditor();

private slots:
	void        OnSendTo();
	void        OnOpen();

protected:
	int          m_nShift;
	bool         m_bOneFile;
	int          m_nMaxSize;
	void*        m_pDriveBuffer;
	bool         m_bReadOnly;
	bool         m_bShowGraphWidget;
	CEditor*     m_pEditor;
	QToolButton* m_pOpen;
	QToolButton* m_pSendTo;
	QWidget*     m_pDefaultWidget;
};

#endif // DRIVEWINDOW_H
