// Editor.cpp: implementation of the CEditor class.
//
//////////////////////////////////////////////////////////////////////

#include "Editor.h"
#include "DriveWindow.h"

#include <DriveAccess.h>
#include <language.h>
#include <DriveFile.h>
#include <SendToMenu.h>

//-----------------------------------------------------------------------------------
CEditor::CEditor(DriveWindow* parent)
:QWidget(parent)
{
	m_pParent = parent;
}

//-----------------------------------------------------------------------------------
void CEditor::DeleteDrive(CDriveFile* pDrive)
{
	int nNumDrive = pDrive->GetNumDrive();
	delete pDrive;
	
	if(!m_pParent->m_bOneFile) {
		string sFileName = m_pParent->m_sFileName.latin1();
		int n = CDriveAccess::GetNumDrive(sFileName);
		
		if(n == 0 && nNumDrive > 1) {
			CDriveAccess::ChangeFileName(sFileName, 1);
		}
		if(n > 0 && n > nNumDrive) {
			CDriveAccess::ChangeFileName(sFileName, nNumDrive - 1);
		}
		if(nNumDrive == 1) {
			CDriveAccess::ChangeFileName(sFileName, 0);
		}
		m_pParent->SetFileName(sFileName.c_str());
	}
}
