// GraphWidget.h: interface for the CGraphWidget class.
//
//////////////////////////////////////////////////////////////////////

#ifndef GRAPHWIDGET_H
#define GRAPHWIDGET_H

#include <qwidget.h>

class QPainter;

class CGraphWidget : public QWidget
{
public:
	CGraphWidget(QWidget* parent);
	void	   UpdateData(int nUsed, int nMax, int nNumPart);
	void	   SetText(const QString& sUsed, const QString& sFree, const QString& sUnit);
	void	   SetSelectedZone(int nSelectedBegin, int nSelectedLength);

protected:
	void	   paintEvent(QPaintEvent*);
	void	   UpdateGraph(QPainter& p);
	void	   InitPainterFont(QPainter& p);
	void	   DrawText(QPainter& p, int x, int y, const QString& sText, bool bUsedForeGroundColor = FALSE);
	static int GetWidth(QPainter& p, const QString& sText);

protected:
	QString m_sUsed;
	QString m_sFree;
	QString m_sUnit;
	int     m_nUsed;
	int     m_nMax;
	int     m_nPartSize;
	int     m_nSelectedBegin;
	int     m_nSelectedLength;
};

#endif
