
#include <qpixmap.h>

#include <F100_Op.h>
#include <language.h>
#include <image_defs.h>

#include "DriveWindow.h"
#include "defs.h"

EXPORT_SYMB void Tool_Request(F100_Op op, void** ret, IMainWindow* ptr1, Qt::WFlags ptr2, QTabWidget* ptr3, QWidget* parent)
{
	switch(op)
	{
	case OP_TOOLNAME:
		*((QString*)ret) = DriveWindow::tr("Editeur de lecteur ROM-DISK et BASIC");
		break;
	case OP_BUILDDATE:
		*ret = (void*)__DATE__;
		break;
	case OP_VERSION:
#ifndef _DEBUG
		*ret = (void*)"1.21";
#else
		*ret = (void*)"1.21 (Debug)";
#endif
		break;
	case OP_AUTHOR:
		*ret = (void*)"Quaranta David";
		break;
	case OP_CREATEINSTANCE:
		*ret = new DriveWindow(parent, ptr1, ptr2, ptr3);
		break;
	case OP_WINDOWTYPESTR:
		*ret = (void*)DRIVEEDIT_WINDOWTYPESTR;
		break;
	case OP_TOOLBARICON:
		*((QPixmap*)ret) = QPixmap::fromMimeSource(IMG_DRIVE);
		break;
	case OP_FILEFILTER:
		*((QString*)ret) = CLanguage::GetWordTranslation(CLanguage::WO_DRIVEFILTER);
		break;
	case OP_DESCRIPTION:
		*((QString*)ret) = DriveWindow::tr("Permet d'diter un lecteur virtuel au format ROM-DISK et BASIC");
		break;
	case OP_SUPPORTEDFILE:
		*ret = (void*)"lec;cdr";
		break;
	}
}
