
#ifndef FLASHWIDGET_H
#define FLASHWIDGET_H

#include <ToolWindow.h>

class QMenuBar;
class QAction;
class QListView;
class QCheckListItem;
class QListViewItem;
class QPopupMenu;

class FlashWidget : public CToolWindow
{
	Q_OBJECT
public:
	FlashWidget(CONSTRUCTOR_PARAMDEF);

	int  Init(INIT_PARAMDEF);
	void DoShowCaption();
	void DoInitWords();
	int  LoadFrom(QDomElement& element);
	int  SaveTo(QDomElement& element);
	void RefreshDriveNames();

public:
	static QPixmap GetDefaultIcon();

private:
	int  OpenDialog(int nDrive);
	void OpenZone(int nDrive);
	int  GetNumDrive(QListViewItem* pItem);

private slots:
	void OnSendDrives();
	void OnReceiveDrives();
	void OnSendBackup();
	void OnReceiveBackup();
	void OnRightButtonClicked(QListViewItem* pItem, const QPoint& pos);
	void OnDoubleClicked(QListViewItem* pItem);
	void OnCalcInfoChanged();
	void OnRefreshMenu(const QString& sFileName, int nNbFile);
	void OnItemActivated(int id);
	void OnShowOption();

private:
	QAction*        m_pSend;
	QAction*        m_pReceive;
	QAction*        m_pSendBackup;
	QAction*        m_pReceiveBackup;
	QAction*        m_pOption;
	QListView*      m_pDriveList;
	QCheckListItem* m_pDrives[7];
	QString         m_sFileNames[7];
	QString         m_sName;
	QPopupMenu*     m_pMenu;
};

#endif
