
#include <F100_Op.h>

#include <qpixmap.h>

#include "FlashWidget.h"


EXPORT_SYMB void Tool_Request(F100_Op op, void** ret, IMainWindow* ptr1, Qt::WFlags ptr2, QTabWidget* ptr3, QWidget* parent)
{
	switch(op)
	{
	case OP_TOOLNAME:
		*((QString*)ret) = FlashWidget::tr("Gestionnaire de flash");
		break;
	case OP_BUILDDATE:
		*ret = (void*)__DATE__;
		break;
	case OP_VERSION:
#ifndef _DEBUG
		*ret = (void*)"1.00";
#else
		*ret = (void*)"1.00 (Debug)";
#endif
		break;
	case OP_AUTHOR:
		*ret = (void*)"Quaranta David";
		break;
	case OP_CREATEINSTANCE:
		*ret = new FlashWidget(parent, ptr1, ptr2, ptr3, TRUE, TRUE);
		break;
	case OP_WINDOWTYPESTR:
		*ret = (void*)"FlashManager";
		break;
	case OP_DESCRIPTION:
		*((QString*)ret) = FlashWidget::tr("Permet d'envoyer et recevoir des donnes dans la flash de votre Graph100");
		break;
	case OP_TOOLBARICON:
		*((QPixmap*)ret) = FlashWidget::GetDefaultIcon();
		break;
	case OP_ADDTOTOOLBAR:
		*((bool*)ret) = TRUE;
		break;
	}
}
