// MenuSettings.h: interface for the CMenuSettings class.
//
//////////////////////////////////////////////////////////////////////

#ifndef MENUSETTINGS_H
#define MENUSETTINGS_H

#include <qlistview.h>
#include <qlayout.h>

#include <SettingsWidget.h>

#define TOOL_NAME "MenuEdit"

class CMenuSettings : public CSettingsWidget  
{
	Q_OBJECT
public:
	enum {
		PREF_SYSTEM_REPORT_TITLE = 0,
		PREF_SYSTEM_REPORT_LAST_ICON,
		PREF_SYSTEM_MODIF_ICON_ON_ALL_MENU,
		PREF_SYSTEM_REMOVE_ICON,
		PREF_SYSTEM_MODIF_TITLE_ON_ALL_MENU,
	};

public:
	CMenuSettings(IMainWindow* pMainWindow);
	int     DoSave();
	void    DoRefresh();
	QString GetDescription() const;
	int     GetPreference(int nPref);
	void    DoInitWords();

private:
	int             m_nPreference;
	QVBoxLayout     m_qVBoxLayout;
	QListView       m_qList;
	QCheckListItem* m_pControllers[5];
	QCheckListItem* m_pRadioButton[5*3];
};

#endif // MENUSETTINGS_H
