
#include <F100_Op.h>

#include "MenuWindow.h"
#include "MenuSettings.h"

#include <language.h>
#include <IOptionWindow.h>

EXPORT_SYMB void Tool_Request(F100_Op op, void** ret, IMainWindow* ptr1, Qt::WFlags ptr2, QTabWidget* ptr3, QWidget* parent)
{
	switch(op)
	{
	case OP_TOOLNAME:
		*((QString*)ret) = MenuWindow::tr("Editeur de systme");
		break;
	case OP_BUILDDATE:
		*ret = (void*)__DATE__;
		break;
	case OP_VERSION:
#ifndef _DEBUG
		*ret = (void*)"1.21";
#else
		*ret = (void*)"1.21 (Debug)";
#endif
		break;
	case OP_AUTHOR:
		*ret = (void*)"Quaranta David";
		break;
	case OP_CREATEINSTANCE:
		*ret = new MenuWindow((CMenuSettings*)ptr1->GetOptionWindow()->GetSettingsWidget(TOOL_NAME), parent, ptr1, ptr2, ptr3);
		break;
	case OP_WINDOWTYPESTR:
		*ret = (void*)TOOL_NAME;
		break;
	case OP_FILEFILTER:
		*((QString*)ret) = CLanguage::GetWordTranslation(CLanguage::WO_SYSTEMFILTER);
		break;
	case OP_DESCRIPTION:
		*((QString*)ret) = MenuWindow::tr("Permet d'diter le menu de votre calculatrice");
		break;
	case OP_SUPPORTEDFILE:
		*ret = (void*)"mems;csf";
		break;
	case OP_SETTINGSWIDGET:
		*ret = new CMenuSettings(ptr1);
		break;
	}
}
