// BASICSyntaxHightlighter.h: interface for the CBASICSyntaxHightlighter class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _BASICSYNTAXHIGHTLIGHTER_H_
#define _BASICSYNTAXHIGHTLIGHTER_H_

#include "SyntaxHighlighter.h"
#include "BASICWrapper.h"

#include <qregexp.h>

class CProgSyntaxProperties;

class CBASICSyntaxHightlighter : public CSyntaxHighlighter  
{
public:
	CBASICSyntaxHightlighter(QTextEdit* pTextEdit, CProgSyntaxProperties* pProperties);
	int highlightParagraph(const QString& text, int endStateOfLastPara);

	const CWrapper* GetWrapper() const;

protected:
	void HighLightKeywords(const QString& sText, QFont& f);
	void HighLightKeywords(const QString& sText, const char** pText, unsigned int nSize, const QFont& f, const QColor& c);

private:
	CBASICWrapper m_wrapper;
	QRegExp       m_comments;
	QRegExp       m_numbers;
	QRegExp       m_vars;
};

#endif
