// BASICWrapper.h: interface for the CBASICWrapper class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _BASICWRAPPER_H_
#define _BASICWRAPPER_H_

#include "Wrapper.h"

#include <qmap.h>

#define IGNORE_STR "@@"

class CBASICWrapper : public CWrapper  
{
public:
	static const char*  basic_table[];
	static const char*  basic_table2[];
	static const char*  symb_table[];
	static unsigned int TABLE_SIZE;
	static unsigned int TABLE_SIZE2;
	static unsigned int SYMB_SIZE;

public:
	CBASICWrapper();

	QString ConvertCasioDataToText(const void* pData, unsigned int nSize) const;
	QString ConvertTextToCasioData(const QString& sText) const;

protected:
	typedef QMap<int, int> CharMap;

protected:
	void ConvertChar(CharMap& map, QString& sLine, const char* pTable[], unsigned int nSize) const;
	void ConvertChar(QString& sLine) const;
	void ConvertSymbole(QString& sLine) const;
	void ConvertSymbole(QString& sLine, unsigned int nStart, unsigned int nEnd) const;
	int  FindFunction(const QString& sLine, int nIndex) const;
	void ConvertFunction(QString& sLine) const;
	void ConvertFunction2(QString& sLine) const;

public:
	static int FindString(const QString& s, const char* pText, unsigned int nTextLength, unsigned int nIndex = 0, unsigned int nMaxIndex = 0xFFFFFFFF);
	static int FindAllString(const QString& s, const char* pText, unsigned int nIndex = 0, unsigned int nMaxIndex = 0xFFFFFFFF);

protected:
	static int FindLongerFunction(const QString& sLine, int nPos, unsigned int nFunctionLength, const char** table, unsigned int nIndex, unsigned int nSize);
	static int FindFunction(const QString& sLine, int nIndex, const char** table, unsigned int nSize);
};

#endif
