// BasicEditor.h: interface for the CBasicEditor class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_BASICEDITOR_H_
#define AFX_BASICEDITOR_H_

#include "Editor.h"
#include "IOptionListener.h"

class CBasicZone;
class CTextEditor;
class QAction;
class CSyntaxHighlighter;
class QPrinter;
class QComboBox;
class CFindDialog;
class QLabel;

class CBasicEditor : public CEditor, IOptionListener
{
	Q_OBJECT
public:
	CBasicEditor(QWidget* parent);
	virtual ~CBasicEditor();

	bool SetFileZone(CFileZone* pFile);
	void RefreshData();
	void DoInitWords();
	void Save();
	void OnOptionChanged();
	
	bool event(QEvent* pEvent); 
	bool close(bool alsoDelete);

private:
	void UpdateCaption();
	void UpdateKeywords();
	void UpdateSize();
	void UpdateStatusBar();

private slots:
	void OnDataChanged();
	void OnFileRenamed();
	void OnTextModified();
	void OnSave();
	void OnPrint();
	void OnShowOption();
	void OnSyntaxChanged(int nIndex);
	void OnCursorPositionChanged(int para, int index);

private:
	QLabel*      m_pLblSize;
	QLabel*      m_pLblCursor;
	CBasicZone*  m_pBasicZone;
	CFindDialog* m_pFindDialog;
	CTextEditor* m_pTextArea;
	bool         m_bModified;
	bool         m_bBlockRefresh;
	bool         m_bNoChanges;
	QAction*     m_pSaveAction;
	QAction*     m_pUndoAction;
	QAction*     m_pRedoAction;
	QAction*     m_pPrintAction;
	QAction*     m_pOptionAction;
	QAction*     m_pFindAction;
	QComboBox*   m_pSyntaxList;
	CSyntaxHighlighter* m_pSyntax;
	QPrinter*    m_pPrinter;
};

#endif
