// CasioIO.h: interface for the CCasioIO class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _CASIOIO_H_
#define _CASIOIO_H_

#include <qstring.h>

#define VAR_SIZE 9

#define MAGIC_CHAR1 0x7F
#define MAGIC_CHAR2 0xF7

class CCasioIO  
{
public:
	static void    WriteCasioNumberFormat(char* pBuf, double dNumber);
	static void    WriteCasioNumberFormat(char* pBuf, double dNumber, int nExp);
	static void    WriteCasioNumberFormat(char* pBuf, double dNumber, int nSize, int nHalfByteIndex);
	static double  ConvertCasioDataToDouble(const unsigned char* pBuf);
	static double  ReadCasioNumberFormat(const unsigned char* pBuf, int nSize, int nHalfByteIndex);
	static QString ConvertDoubleToCasioString(double v);
	static QString ConvertCatToCasioData(const QString& sText);
	static QString ConvertCasioDataToCat(const QString& sData);

protected:
	static int     StartsWith(const QString& s, int nFind, int nIndex);
	static int     StartsWith(const char* pText, const char* pFind, unsigned int nTextLength);
};

#endif
