// ImageEditor.h: interface for the CImageEditor class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _IMAGEEDITOR_H_
#define _IMAGEEDITOR_H_

#include "Editor.h"

class CImageZone;
class QLabel;
class QPushButton;

class CImageEditor : public CEditor  
{
	Q_OBJECT
public:
	CImageEditor(QWidget* parent);

	bool SetFileZone(CFileZone* pFile);
	void RefreshData();
	void DoInitWords();

private:
	void UpdateCaption();

private slots:
	void OnDataChanged();
	void OnFileRenamed();
	void OnImportImage();
	void OnExportImage();

private:
	CImageZone*  m_pImageZone;
	QLabel*      m_pImage;
	QPushButton* m_pImportButton;
	QPushButton* m_pExportButton;
};

#endif
