// ImageZone.h: interface for the CImageZone class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _IMAGEZONE_H_
#define _IMAGEZONE_H_

#include "FileZone.h"

#include <qimage.h>

class CImageZone : public CFileZone  
{
public:
	CImageZone();
	bool          ReadDataFrom(QTextStream& stream, unsigned int nCapacity);
	const QImage& GetImage() const;
	void          SetImage(const QImage& image);
	void          SetData(void* pData, unsigned int nSize, bool bEmitDataChanged);

public:
	static QString ChooseFileName(const QString& sCaption, const QString& sDefaultText = QString::null, QWidget* parent = 0);

protected:
	void      WriteData(QTextStream& stream);
	QString   GetDataType() const;
	void      FlushData();
	void      OnDataChanged();

private:
	QImage m_image;
	bool   m_bModified;
};

#endif
