// LeftPanel.h: interface for the LeftPanel class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _LEFTPANEL_H_
#define _LEFTPANEL_H_

#include <qdockwindow.h>
#include <qmap.h>

#include <casio.h>

using namespace Casio;

class QListView;
class CFileZoneItem;
class CFileZone;
class QListViewItem;
class RAMManager;

typedef QMap<CFileZone*, CFileZoneItem*> FileMap;
typedef QValueList<CFileZone*> FileList;

class LeftPanel : public QDockWindow
{
	Q_OBJECT
public:
	LeftPanel(RAMManager* pRamManager, CasioType ct);
	void SetCalc(CasioType ct);

	bool IsSupported(unsigned short nZone) const;
	void AddFile(CFileZone* pFile);
	void RemoveFile(CFileZone* pFileToRemove);
	void UpdateFile(CFileZone* pFile);

	void RemoveAllFiles();

	unsigned int GetFileSelected(FileList& list);

	void DoInitWords();

private:
	void       ToggleSelection(QListViewItem* pItem);
	CFileZone* GetFile(QListViewItem* pItem);

public slots:
	void OnSelect();
	void OnDoubleClick(QListViewItem* pItem);
	void OnMenuRequested(QListViewItem* pItem, const QPoint& pos);

private:
	RAMManager*    m_pRamManager;
	QListView*     m_pList;
	QListViewItem* m_pRootItem;
	QListViewItem* m_pBASICItem;
	QListViewItem* m_pListItem;
	QListViewItem* m_pMatrixItem;
	QListViewItem* m_pImageItem;
	QListViewItem* m_pZones[13];
	FileMap        m_mFiles;
};

#endif
