// ListEditor.h: interface for the CListEditor class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _LISTEDITOR_H_
#define _LISTEDITOR_H_

#include "Editor.h"

class CListZone;
class QTable;
class QPushButton;

class CListEditor : public CEditor  
{
	Q_OBJECT
public:
	CListEditor(QWidget* parent);
	bool SetFileZone(CFileZone* pFile);
	void RefreshData();
	void DoInitWords();

private slots:
	void OnAddElement();
	void OnRemoveElement();
	void OnValueModified(int nRow, int nCol);
	void OnDataChanged();
	void OnFileRenamed();
	void OnInsertElement();

private:
	void UpdateCaption();

private:
	CListZone*   m_pListZone;
	QTable*      m_pTable;
	QPushButton* m_pAddButton;
	QPushButton* m_pInsertButton;
	QPushButton* m_pRemoveButton;
};

#endif
