// MLCSyntaxHighlighter.h: interface for the CMLCSyntaxHighlighter class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _MLCSYNTAXHIGHLIGHTER_H_
#define _MLCSYNTAXHIGHLIGHTER_H_

#include "SyntaxHighlighter.h"
#include "TextWrapper.h"

#include <qregexp.h>

class CProgSyntaxProperties;

class CMLCSyntaxHighlighter : public CSyntaxHighlighter
{
public:
	CMLCSyntaxHighlighter(QTextEdit* pTextEdit, CProgSyntaxProperties* pProperties);
	int highlightParagraph(const QString& text, int endStateOfLastPara);

	const CWrapper* GetWrapper() const;

	virtual const char** GetKeyWords() = 0;
	virtual unsigned int GetNbKeyWords() = 0;

	virtual const char** GetFunctions() = 0;
	virtual unsigned int GetNbFunctions() = 0;

	void Highlight(const QString& sText, const char** words, unsigned int nNbWords, const QFont& font, const QColor& color);

private:
	QRegExp      m_strings;
	QRegExp      m_numbers;
	QRegExp      m_vars;
	QRegExp      m_sprites;
	CTextWrapper m_wrapper;
};

class CMLC1SyntaxHighlighter : public CMLCSyntaxHighlighter
{
public:
	CMLC1SyntaxHighlighter(QTextEdit* pTextEdit, CProgSyntaxProperties* pProperties);
	const char** GetKeyWords();
	unsigned int GetNbKeyWords();

	const char** GetFunctions();
	unsigned int GetNbFunctions();

public:
	static const char*  m_pFunctions[];
	static const char*  m_pKeywords[];
	static unsigned int m_nNbFunctions;
	static unsigned int m_nNbKeywords;
};



#endif
