// MatrixEditor.h: interface for the CMatrixEditor class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _MATRIXEDITOR_H_
#define _MATRIXEDITOR_H_

#include "Editor.h"

class CMatrixZone;
class QTable;
class QPushButton;

class CMatrixEditor : public CEditor  
{
	Q_OBJECT
public:
	CMatrixEditor(QWidget* parent);

	bool SetFileZone(CFileZone* pFile);
	void RefreshData();
	void DoInitWords();

private slots:
	void OnValueModified(int nRow, int nCol);
	void OnDataChanged();
	void OnFileRenamed();
	void OnAddRow();
	void OnInsertRow();
	void OnAddCol();
	void OnInsertCol();
	void OnRemoveRow();
	void OnRemoveCol();

private:
	void UpdateCaption();

private:
	CMatrixZone* m_pMatrixZone;
	QTable*      m_pTable;
	bool         m_bLockRefresh;
	QPushButton* m_pAddRowButton;
	QPushButton* m_pInsertRowButton;
	QPushButton* m_pRemoveRowButton;
	QPushButton* m_pAddColButton;
	QPushButton* m_pInsertColButton;
	QPushButton* m_pRemoveColButton;
};

#endif
