// MatrixZone.h: interface for the CMatrixZone class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _MATRIXZONE_H_
#define _MATRIXZONE_H_

#include "FileZone.h"

#include <qvaluevector.h>

class CMatrixZone : public CFileZone  
{
public:
	CMatrixZone();
	bool         ReadDataFrom(QTextStream& stream, unsigned int nCapacity);
	void         SetData(void* pData, unsigned int nSize, bool bEmitDataChanged);
	int          GetNbRows() const;
	int          GetNbCols() const;
	double       GetElement(int nRow, int nCol) const;
	void         SetElement(int nRow, int nCol, double dValue);
	void         AddRow(int nRow = -1);
	void         AddCol(int nCol = -1);
	void         RemoveRow(int nRow);
	void         RemoveCol(int nCol);

public:
	static unsigned int CalculateSize(int nRows, int nCols);
	static QString      ChooseFileName(const QString& sCaption, const QString& sDefaultText, QWidget* parent);

protected:
	void         WriteData(QTextStream& stream);
	QString      GetDataType() const;
	void         FlushData();
	void         OnDataChanged();

private:
	typedef QValueVector<double> List;

private:
	List m_lElements;
	bool m_bModified;
	int  m_nRows;
	int  m_nCols;
};

#endif
