// RamManagerOption.h: interface for the CRamManagerOption class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _RAMMANAGEROPTION_H_
#define _RAMMANAGEROPTION_H_

#include <SettingsWidget.h>

#include <qvaluelist.h>
#include <qlayout.h>

#define PLUGIN_NAME "RAMManager"

class QGroupBox;
class IOptionListener;
class QLabel;
class QPushButton;
class QCheckBox;
class CLabel;

class CRamManagerOption : public CSettingsWidget 
{
	friend class CSyntaxSettingsWidget;

	Q_OBJECT
public:
	CRamManagerOption(IMainWindow* pMainWindow);

	void    DoInitWords();
	void    DoRefresh();
	int     DoSave();
	QString GetDescription() const;

	void    AddListener(IOptionListener* pListener);
	void    RemoveListener(IOptionListener* pListener);

	const QFont&  GetFontEditor() const;
	const QColor& GetForeColor() const;
	const QColor& GetBackColor() const;

public:
	static CRamManagerOption* GetInstance();
	static QString GetInformations(const QFont& font);

protected:
	void          RefreshFontEditor();
	void          SendOptionChanged();

private slots:
	void OnModifyFont();

private:
	typedef QValueList<IOptionListener*> ListenerList;

private:
	ListenerList m_lListeners;
	QFont        m_fEditor;
	QFont        m_fTmp;
	QGroupBox*   m_pEditorGroup;
	QVBoxLayout  m_qVBoxLayout;
	QLabel*      m_pFontName;
	QPushButton* m_pFontButton;
	CLabel*      m_pForeButton;
	CLabel*      m_pBackButton;
	QCheckBox*   m_pForeCheckBox;
	QCheckBox*   m_pBackCheckBox;
	QColor       m_fore;
	QColor       m_back;
	int          m_bAutoForeColor;
	int          m_bAutoBackColor;

private:
	static CRamManagerOption* m_pInstance;
};

#endif
