// SyntaxHighlighter.h: interface for the CSyntaxHighlighter class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _SYNTAXHIGHLIGHTER_H_
#define _SYNTAXHIGHLIGHTER_H_

#include <qsyntaxhighlighter.h>
#include <qcolor.h>

class CWrapper;
class CRamManagerOption;
class CSyntaxProperties;
class QRegExp;

class CSyntaxHighlighter : public QSyntaxHighlighter 
{
public:
	CSyntaxHighlighter(QTextEdit* pTextEdit, CSyntaxProperties* pProperties);

	virtual const CWrapper* GetWrapper() const = 0;
	virtual const QFont&    GetFont() const;
	virtual const QColor&   GetEditorForeColor() const;
	virtual CSyntaxProperties* GetProperties() const { return m_pProperties; }

protected :
	virtual void  GetFont(QFont& font, QColor& color, const QString& sProperty);
	virtual void  SearchExp(QRegExp* pRegExp, const QString& sText, const QFont& font, const QColor& color);

private:
	QFont              m_fEditor;
	CSyntaxProperties* m_pProperties;
};

#endif
