// SyntaxHighligterFactory.h: interface for the CSyntaxHighligterFactory class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _SYNTAXHIGHLIGTERFACTORY_H_
#define _SYNTAXHIGHLIGTERFACTORY_H_

#include <qvaluelist.h>

class CSyntaxHighlighter;
class QTextEdit;
class CSyntaxProperties;

typedef QValueList<CSyntaxProperties*> SyntaxPropertiesList;

class CSyntaxHighligterFactory  
{
protected:
	CSyntaxHighligterFactory();

public:
	virtual ~CSyntaxHighligterFactory();

	const SyntaxPropertiesList& GetSyntaxPropertiesList() const;

	CSyntaxHighlighter* CreateSyntax(unsigned int nIndex, QTextEdit* pEdit);
	CSyntaxHighlighter* CreateSyntax(const void* pData, unsigned int nSize, QTextEdit* pEdit);

public:
	static CSyntaxHighligterFactory* GetInstance();

private:
	static CSyntaxHighligterFactory m_instance;

private:
	SyntaxPropertiesList m_lSyntaxP;
};

#endif
