// SyntaxProperty.cpp: implementation of the CSyntaxProperty class.
//
//////////////////////////////////////////////////////////////////////

#include "SyntaxProperty.h"

//-----------------------------------------------------------------------------------
CSyntaxProperty::CSyntaxProperty()
	: m_bIsBold(FALSE)
	, m_bIsUnderline(FALSE)
	, m_bIsItalic(FALSE)
{
}

//-----------------------------------------------------------------------------------
void CSyntaxProperty::Reset()
{
	m_bIsBold = m_bIsUnderline = m_bIsItalic = FALSE;
}

//-----------------------------------------------------------------------------------
CSyntaxProperty::CSyntaxProperty(const CSyntaxProperty* p)
{
	*this = *p;
}

//-----------------------------------------------------------------------------------
CSyntaxProperty::~CSyntaxProperty()
{ 
}

//-----------------------------------------------------------------------------------
void CSyntaxProperty::SetBold(bool bIsBold)
{
	m_bIsBold = bIsBold;
}

//-----------------------------------------------------------------------------------
void CSyntaxProperty::SetUnderline(bool bIsUnderline)
{
	m_bIsUnderline = bIsUnderline;
}

//-----------------------------------------------------------------------------------
void CSyntaxProperty::SetItalic(bool bIsItalic)
{
	m_bIsItalic = bIsItalic;
}

//-----------------------------------------------------------------------------------
void CSyntaxProperty::SetColor(const QColor& color)
{
	m_color = color;
}

//-----------------------------------------------------------------------------------
bool CSyntaxProperty::IsBold() const
{
	return m_bIsBold;
}

//-----------------------------------------------------------------------------------
bool CSyntaxProperty::IsUnderline() const
{
	return m_bIsUnderline;
}

//-----------------------------------------------------------------------------------
bool CSyntaxProperty::IsItalic() const
{
	return m_bIsItalic;
}

//-----------------------------------------------------------------------------------
const QColor& CSyntaxProperty::GetColor() const
{
	return m_color;
}

//-----------------------------------------------------------------------------------
CSyntaxProperty& CSyntaxProperty::operator=(const CSyntaxProperty& p)
{
	m_bIsBold      = p.m_bIsBold;
	m_bIsUnderline = p.m_bIsUnderline;
	m_bIsItalic    = p.m_bIsItalic;
	m_color        = p.m_color;
	return *this;
}

//-----------------------------------------------------------------------------------
bool CSyntaxProperty::operator==(const CSyntaxProperty& p) const
{
	return m_bIsBold == p.m_bIsBold
		&& m_bIsUnderline == p.m_bIsUnderline
		&& m_bIsItalic == p.m_bIsItalic
		&& m_color == p.m_color;
}

//-----------------------------------------------------------------------------------
bool CSyntaxProperty::operator!=(const CSyntaxProperty& p) const
{
	return !(*this == p);
}
