// SyntaxProperty.h: interface for the CSyntaxProperty class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _SYNTAXPROPERTY_H_
#define _SYNTAXPROPERTY_H_

#include <qstring.h>
#include <qcolor.h>

class CSyntaxProperty  
{
public:
	CSyntaxProperty();
	CSyntaxProperty(const CSyntaxProperty* p);
	virtual ~CSyntaxProperty();
	virtual QString GetName() const = 0;
	virtual QString GetId()   const = 0;
	virtual void    Reset();

	virtual CSyntaxProperty* Clone() = 0;

	void          SetBold(bool bIsBold);
	void          SetUnderline(bool bIsUnderline);
	void          SetItalic(bool bIsItalic);
	void          SetColor(const QColor& color);
	bool          IsBold()      const;
	bool          IsUnderline() const;
	bool          IsItalic()    const;
	const QColor& GetColor() const;

	CSyntaxProperty& operator=(const CSyntaxProperty& p);
	bool operator==(const CSyntaxProperty& p) const;
	bool operator!=(const CSyntaxProperty& p) const;

private:
	bool   m_bIsBold;
	bool   m_bIsUnderline;
	bool   m_bIsItalic;
	QColor m_color;
};

#endif
