// SyntaxSettingsWidget.h: interface for the CSyntaxSettingsWidget class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _SYNTAXSETTINGSWIDGET_H_
#define _SYNTAXSETTINGSWIDGET_H_

#include <SettingTabWidget.h>

class CSyntaxProperties;
class QListView;
class QCheckBox;
class QListViewItem;
class CLabel;
class QPushButton;

class CSyntaxSettingsWidget : public CSettingTabWidget
{
	Q_OBJECT
public:
	CSyntaxSettingsWidget(CSettingTabWidget* parent, CSyntaxProperties* pProperties);
	virtual ~CSyntaxSettingsWidget();

	int     DoSave();
	void    DoRefresh();
	void    DoInitWords();
	QString GetDescription() const;

	CSyntaxProperties* GetProperties() const;

private:
	void RefreshCustomFont();

private slots:
	void OnSelectionChanged(QListViewItem* pItem);
	void OnSettingsChanged();
	void OnChangeFont();

private:
	CSyntaxProperties* m_pProperties;
	CSyntaxProperties* m_pTmpProperties;
	QListView*         m_pList;
	QCheckBox*         m_pBold;
	QCheckBox*         m_pItalic;
	QCheckBox*         m_pUnderline;
	QCheckBox*         m_pCustomColor;
	CLabel*            m_pColor;
	QCheckBox*         m_pCustomFont;
	QPushButton*       m_pFont;
};

#endif
