// TextEditor.h: interface for the CTextEditor class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _TEXTEDITOR_H_
#define _TEXTEDITOR_H_

#include <qtextedit.h>

class QListView;
class CSyntaxHighlighter;
class QPopupMenu;
class QListViewItem;

class CTextEditor : public QTextEdit
{
	Q_OBJECT
public:
	CTextEditor(QWidget* parent);

	/** Affecte le langage pour avoir la liste des fonctions
	 * @param[in] pSyntax Langage
	 */
	void SetSyntax(CSyntaxHighlighter* pSyntax);

protected:
	void keyPressEvent(QKeyEvent* e);
	void keyReleaseEvent(QKeyEvent* e);
	void SelectKeywords(const QPoint& p);
	void SelectItem(QListViewItem* pItem);
	bool IsStart(const QString& s, int index) const;
	int  Match(const QString& sItem, const QString& sLine) const;

private slots:
	void OnInsertItem(QListViewItem* pItem);

private:
	QListView*  m_pKeywords;
	QPopupMenu* m_pMenu;
	int         m_nBeginIndex;
};

#endif
