// TextWrapper.cpp: implementation of the CTextWrapper class.
//
//////////////////////////////////////////////////////////////////////

#include "TextWrapper.h"

#include <qtextstream.h>

//-----------------------------------------------------------------------------------
CTextWrapper::CTextWrapper()
	: CWrapper()
{

}

//-----------------------------------------------------------------------------------
QString CTextWrapper::ConvertCasioDataToText(const void* pData, unsigned int nSize) const
{
	QByteArray bytes;
	QString s;
	bytes.setRawData((const char*)pData, nSize);
	QTextStream stream(bytes, IO_ReadOnly);
	while(!stream.atEnd()) {
		QString sLine = stream.readLine();
		if(!s.isEmpty()) {
			s += '\n';
		}
		s += sLine;
	}
	bytes.resetRawData((const char*)pData, nSize);
	return s;
}

//-----------------------------------------------------------------------------------
QString CTextWrapper::ConvertTextToCasioData(const QString& sText) const
{
	QString s;
	QTextStream stream((QString*)&sText, IO_ReadOnly);
	while(!stream.atEnd()) {
		QString sLine = stream.readLine();
		if(!s.isEmpty()) {
			s += (char)0x0D;
		}
		s += sLine;
	}
	return s;
}
