// Wrapper.h: interface for the CWrapper class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_WRAPPER_H_
#define AFX_WRAPPER_H_

#include <qstring.h>

/*!
	\class CWrapper Wrapper.h
	\brief Permet de grer diffrent comportement pour la lecture de fichier BASIC
	\author Quaranta David
	\version 1.00

	\ingroup RAMManager
*/
class CWrapper
{
public:
	CWrapper();
	virtual ~CWrapper();

	/** Permet de convertir une donne Casio en une donne du format du wrapper
	 * @param pData Donnes casio
	 * @param nSize Taille des donnes en octets
	 * @return Retourne la chane de caractre formate
	 */
	virtual QString ConvertCasioDataToText(const void* pData, unsigned int nSize) const = 0;
	
	/** Permet de convertir une texte au format Casio
	 * @param sText Donnes texte
	 * @return Retourne les donnes Casio sous forme de QString
	 */
	virtual QString ConvertTextToCasioData(const QString& sText) const = 0;

};

#endif
