

#include "RAMManagerPlugIn.h"
#include "RAMManager.h"
#include "RamManagerOption.h"

#include <qpixmap.h>

EXPORT_SYMB void Tool_Request(F100_Op op, void** ret, IMainWindow* ptr1, Qt::WFlags ptr2, QTabWidget* ptr3, QWidget* parent)
{
	switch(op)
	{
	case OP_TOOLNAME:
		*((QString*)ret) = RAMManager::tr("Gestionnaire de RAM");
		break;
	case OP_BUILDDATE:
		*ret = (void*)__DATE__;
		break;
	case OP_VERSION:
#ifndef _DEBUG
		*ret = (void*)"1.10";
#else
		*ret = (void*)"1.10 (Debug)";
#endif
		break;
	case OP_AUTHOR:
		*ret = (void*)"Quaranta David";
		break;
	case OP_CREATEINSTANCE:
		*ret = new RAMManagerPlugIn(parent, ptr1, ptr2, ptr3);
		break;
	case OP_WINDOWTYPESTR:
		*ret = (void*)PLUGIN_NAME;
		break;
	case OP_FILEFILTER:
		*((QString*)ret) = QString::null;
		break;
	case OP_DESCRIPTION:
		*((QString*)ret) = RAMManager::tr("Permet d'envoyer/recevoir des fichiers dans la RAM de votre calculatrice");
		break;
	case OP_SUPPORTEDFILE:
		*ret = (void*)"cat";
		break;
	case OP_SETTINGSWIDGET:
		*ret = new CRamManagerOption(ptr1);
		break;
	case OP_TOOLBARICON:
		*((QPixmap*)ret) = QPixmap::fromMimeSource(IMG_ICON);
		break;
	case OP_ADDTOTOOLBAR:
		*((bool*)ret) = TRUE;
		break;
	}
}
