#include "main.h"

#include <qapplication.h>
#include <qstring.h>
#include <qtable.h>

#include "rflmainwnd.h"
#include "slottable.h"

#ifdef F100_PLUGIN
#	include <F100_Op.h>
#	include <ToolWindow.h>
#endif

#ifdef F100_PLUGIN
//TODO : Init : Chargement d'un fichier csp
// LoadFrom, SaveTo
// Langue
class RFLMaker : public CToolWindow
{
public:
	RFLMaker(CONSTRUCTOR_PARAMDEF)
		: CToolWindow(CALL_PARAM) {
		m_pCentralWidget = new RflMainWnd(0, qApp->argv()[1]);
		SetCentralWidget(m_pCentralWidget);
		m_pCentralWidget->installEventFilter(this);
		connect(m_pCentralWidget, SIGNAL(closed()),       this, SLOT(close()));
		connect(m_pCentralWidget, SIGNAL(stateChanged()), this, SIGNAL(StateChanged()));
		connect(m_pCentralWidget, SIGNAL(Message(const QString&, int)), this, SIGNAL(Message(const QString&, int)));
		DoShowCaption();
	}
	int Init(INIT_PARAMDEF) {
		m_pCentralWidget->loadFile(sFileName);
		return 1;
	}
	void DoShowCaption() {
		setCaption(m_pCentralWidget->caption());
	}
	void DoInitWords() {};
	bool eventFilter(QObject* watched, QEvent* e ) {
		if(watched == m_pCentralWidget) {
			if(e->type() == QEvent::CaptionChange) {
				DoShowCaption();
			}
		}
		return CToolWindow::eventFilter(watched, e);
	}
	int	LoadFrom(QDomElement& element) {
		if(CToolWindow::LoadFrom(element) == 1) {
			QString s = ConvertToFullPath(element.attribute("m_currentFile"));
			m_pCentralWidget->m_table->m_table->setColumnWidth(COL_TYPE,     element.attribute("col_type",     QString::number( 55)).toInt());
			m_pCentralWidget->m_table->m_table->setColumnWidth(COL_SIZE,     element.attribute("col_size",     QString::number( 40)).toInt());
			m_pCentralWidget->m_table->m_table->setColumnWidth(COL_COMMENTS, element.attribute("col_comments", QString::number(250)).toInt());
			m_pCentralWidget->loadFile(s);
			return 1;
		}
		return -1;
	}
	int	SaveTo(QDomElement& element) {
		if(CToolWindow::SaveTo(element) == 1) {
			element.setAttribute("m_currentFile", ConvertToRelativePath(m_pCentralWidget->m_currentFile));
			element.setAttribute("col_type",     QString::number(m_pCentralWidget->m_table->m_table->columnWidth(COL_TYPE)));
			element.setAttribute("col_size",     QString::number(m_pCentralWidget->m_table->m_table->columnWidth(COL_SIZE)));
			element.setAttribute("col_comments", QString::number(m_pCentralWidget->m_table->m_table->columnWidth(COL_COMMENTS)));
			return 1;
		}
		return -1;
	}
	void SetInTabWidget(bool bInTabWidget, bool bShowIt, bool bEmitStateChanged) {
		CToolWindow::SetInTabWidget(bInTabWidget, bShowIt, bEmitStateChanged);
		m_pCentralWidget->SetStatusBar(!IsInTabWidget());
	}
private :
	RflMainWnd* m_pCentralWidget;
};

EXPORT_SYMB void Tool_Request(F100_Op op, void** ret, IMainWindow* ptr1, Qt::WFlags ptr2, QTabWidget* ptr3, QWidget* parent)
{
	switch(op)
	{
	case OP_TOOLNAME:
		*((QString*)ret) = "RFL Maker";
		break;
	case OP_BUILDDATE:
		*ret = (void*)__DATE__;
		break;
	case OP_VERSION:
#ifndef _DEBUG
		*ret = (void*)"1.00";
#else
		*ret = (void*)"1.00 (Debug)";
#endif
		break;
	case OP_AUTHOR:
		*ret = (void*)"Patte Julien";
		break;
	case OP_CREATEINSTANCE:
		*ret = new RFLMaker(parent, ptr1, ptr2, ptr3);
		break;
	case OP_WINDOWTYPESTR:
		*ret = (void*)PROGRAM_NAME;
		break;
	case OP_FILEFILTER:
		*((QString*)ret) = QString::null;
		break;
	case OP_DESCRIPTION:
		*((QString*)ret) = RflMainWnd::tr("Allows you to create RFL files.");
		break;
	case OP_SUPPORTEDFILE:
		*ret = (void*)"rfp";
		break;
	case OP_SETTINGSWIDGET:
		*ret = NULL;
		break;
	}
}
#else
int main(int argc, char* argv[])
{
	QApplication a(argc,argv);

	QMimeSourceFactory::defaultFactory()->addFilePath( APP_DIR_PATH +"/images/rflmaker");

    RflMainWnd mainWnd(0, argv[1]);
    mainWnd.show();
	a.setMainWidget(&mainWnd);
	
	return a.exec();
}
#endif
