#ifndef RFLMAINWND_H
#define RFLMAINWND_H

#include <qvariant.h>
#include <qmainwindow.h>
#include <qstring.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;
class QGroupBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QTable;
class QVBox;

class SlotTable;
class ContentEdit;
class MyRecentFilesHdlr;
class QCloseEvent;

class RflMainWnd : public QMainWindow
{
	friend class RFLMaker;
    Q_OBJECT

public:
    RflMainWnd( QWidget* parent, QString arg );
    ~RflMainWnd();

	void UpdateCaption();

	void message(const QString& msg, int ms);

	void SetStatusBar(bool bVisible);

private:
	QGroupBox* m_genGrpBox;
    QLabel* m_targetLbl;
    QLabel* m_tagLbl;
    QLineEdit* m_targetEdit;
    QLineEdit* m_tagEdit;
    QPushButton* m_makeBtn;
    QPushButton* m_pathBtn;
    QGroupBox* dataGrpBox;
    SlotTable* m_table;
    QLabel* m_contentLbl;
    ContentEdit* m_content;
    QMenuBar *MenuBar;
    QPopupMenu *fileMenu;
    QPopupMenu *editMenu;
    QPopupMenu *helpMenu;
    //QToolBar *toolBar;
    QAction* fileNewAction;
    QAction* fileOpenAction;
    QAction* fileSaveAction;
    QAction* fileSaveAsAction;
    QAction* fileExitAction;
    QAction* helpAboutAction;
	QAction* makeFileAction;
	bool m_bHasStatusBar;

#ifndef F100_PLUGIN
	MyRecentFilesHdlr* m_RFhandler;
#endif
	int m_currentRow;
	QString m_currentFile;
	bool m_modified;

	bool askForClose();

public slots:
    virtual void fileNew();
    virtual void fileOpen();
    virtual void fileSave();
    virtual void fileSaveAs();
	virtual void fileExit() { if(close()) emit closed(); }
    virtual void helpAbout();
	virtual void makeFile();
	virtual void choosePath();
    virtual void checkContent();
	virtual void setContent(QString c, int row);
	virtual void loadFile(QString fileName);
	virtual void notifyModif();

signals:
	void closed();
	void stateChanged();
	void Message(const QString& msg, int ms);

protected:
    QHBoxLayout* m_genGrpBoxLayout;
    QVBoxLayout* layout11;
    QVBoxLayout* layout9;
    QHBoxLayout* layout8;
    QHBoxLayout* layout8b;
    QSpacerItem* spacer1;
    QVBoxLayout* dataGrpBoxLayout;
    QVBoxLayout* layout5;
    QVBox* layout7;
    QHBoxLayout* layout6;
    QSpacerItem* spacer3;

protected slots:
    virtual void languageChange();
	void closeEvent(QCloseEvent*);

};

#endif // RFLMAINWND_H
