#include "main.h"

#include <qstring.h>

#define RX_BLANC    "[\\s\\t\\r\\n]*"
#define RX_NBR_DECP "\\d+"
#define RX_NBR_DEC  "(?:-?" RX_BLANC RX_NBR_DECP ")"
#define RX_NBR_HEX  "(?:0x[\\da-fA-F]+)"
#define RX_NOMBRE   "(?:" RX_NBR_DEC "|" RX_NBR_HEX ")"
#define RX_VIRGULE  "\\,"
#define RX_SUITE    "(?:" RX_NOMBRE "(?:" RX_BLANC RX_VIRGULE RX_BLANC RX_NOMBRE ")*)"
#define RX_EXPR     "^" RX_BLANC RX_SUITE RX_BLANC "$"

class Slot
{
public:
	Slot();
	~Slot();
	int size() { return m_size; }
	int* data() { return m_data; }
	bool isValid() { return m_valid; }

	void setContent(QString c, DataType t);
	void setType(DataType t);
	QString content() { return m_content; }

	int formattedData(DataType t, char* &dst);

private:
	QString m_content;
	bool m_valid;
	int* m_data;
	int m_size;
	DataType m_type;

	void analyzeContent();
};
