#include "main.h"

#include <qwidget.h>
#include <qptrlist.h>
#include <qstring.h>
#include <qfile.h>

class QAction;
class QTable;
class QPushButton;
class QLabel;

#include "slot.h"

struct SlotData
{
	int offset;
	char* data;
	int size;
};

class SlotTable : public QWidget
{
	friend class RFLMaker;
Q_OBJECT
public:
	SlotTable(QWidget* parent);
	~SlotTable();

	void updateContent(QString c, int row);
	bool okToMakeFile();
	bool makeFile(QFile &file);
	void saveIntoFile(QDataStream &stream);
	void loadFromFile(QDataStream &stream, int nbreSlots);

	void clearSlots();

	int nbrSlots();

protected slots:
	void languageChange();

private slots:
	void addLine();
	void deleteLine();
	void moveLineUp();
	void moveLineDown();
	void lineSelected(int row, int);
	void saveNewValueAt(int row, int col);

signals:
	void editContent(QString, int);
	void modifMade();

private:
	QTable* m_table;
	QLabel* m_title;
	QPushButton* m_deleteBtn;
	QPushButton* m_addBtn;
	QPushButton* m_moveUpBtn;
	QPushButton* m_moveDownBtn;

	QPtrList<Slot> m_slotList;
	QStringList m_typeList;

	void setNewLine(int num);

};