#ifndef __CODER
#define __CODER

#include "main.h"

#include <qdialog.h>
#include <qvaluelist.h>
class QTextEdit;
class QTextOStream;
class QString;
class QPopupMenu;
class QAction;
class QMenuBar;
class Config;

#include "sprite.h"

#ifdef Q_OS_UNIX
#include "tab.h"
#else
#include "../mylibs/matrice.h"
#endif


struct SprData
{
	SprData(short t, uchar* c, short o)
		: taille(t), offset(o), code(c) {}
	short taille, offset;
	uchar* code;
	~SprData() { delete[] code; }
};

class Coder : public QDialog
{
Q_OBJECT
public:
	void buildForm();
//	Coder(QString nom, Tab tab, QWidget* parent );
	Coder(Config* pConfig, Tab &tab, QString name, bool coul5);
	Coder(Config* pConfig, Sprite* spr, QWidget* parent);
	Coder(Config* pConfig, QPtrList<Sprite>* ptrlist, QWidget* parent, QString groupName );
	~Coder();

protected slots:
	void makeRfl();
	void saveFile();
	void copyText();
    virtual void languageChange();

protected:

	void codeSprite(Sprite* spr, QTextOStream &sortie);
	void codeImage(Tab &tab, QString name, bool coul5, QTextOStream &sortie);

	void writeCode(QString nom, uchar* tab, int taille, QTextOStream &sortie);
	int makeCodeNormalbb(Tab &tab, uchar** codes);
	int makeCodeNormalww(Tab &tab, uchar** codes);
	int makeCodeDL13(Tab &tab, uchar* &code);
	int makeCodeDL14(Tab &tab, QPoint orig, uchar* &code);
	int makeCodeGX10(Tab &tab, QPoint orig, uchar* &code);

	void makeCodeImage3Coul(Tab &tab, uchar* code);		
	void makeCodeImage5Coul(Tab &tab, uchar* code);		

	QTextEdit* textedit;
	QPtrList<SprData> m_list;

	int m_lang;
	short m_curOffset;
	uchar m_mode;

	QMenuBar * m_menuBar;
	QPopupMenu* m_saveMenu;
	QAction* m_makeRflAction;
	QAction* m_saveFileAction;
	QAction* m_saveClipboardAction;
	Config*  m_pConfig;
};

#endif
