#ifndef __COLORBTN
#define __COLORBTN

#include <qtoolbutton.h>
#include <qevent.h>

class ColorButton : public QToolButton
{
Q_OBJECT
public:
	ColorButton(QPixmap &image, QToolBar* parent, char* name=0, QString textLabel=QString::null)
		: QToolButton(image,textLabel,QString::null,0,QString::null,parent,name)
	{ }

	~ColorButton()
	{ }

signals:
	void selected(Qt::ButtonState);

protected:
	// empeche le dock menu d'apparaitre quand on appuie sur une couleur
	void contextMenuEvent( QContextMenuEvent * e ) { e->accept(); }

	void mousePressEvent( QMouseEvent * e )
	{ 
		ButtonState btn=e->button();
		if( btn==LeftButton || btn==RightButton ) emit selected(btn); 
	}
};

#endif
