
#ifdef F100_PLUGIN

#ifndef __CONFIG
#define __CONFIG

#include "main.h"

#include <qcolor.h>
#include <qgroupbox.h>
#include <qcombobox.h>
#include <qradiobutton.h>
#include <qstringlist.h>
#include <qpushbutton.h>

#include <SettingsWidget.h>

class QTranslator;
class QSettings;

class Config : public CSettingsWidget
{
    Q_OBJECT

public:
	Config(IMainWindow* pMainWindow);
    virtual ~Config();

	int mode() const { return m_mode; }
	int language() const { return m_lang; }
	const QColor& color() const { return m_color; }
	void setLang(int lang);

	void writeEntry(const QString& sParentKey, const QString& sKey, int nValue);
	void writeEntry(const QString& sParentKey, const QString& sKey, const QString& sValue);
	int     readEntry(const QString& sParentKey, const QString& sKey, int nDefaultValue);
	QString readEntry(const QString& sParentKey, const QString& sKey, const QString& sDefaultValue);

	int     DoSave();
	void    DoRefresh();
	void    DoInitWords() {};
	QString GetDescription() const;

signals:
	void modified();

public slots:
	void setCodeMode( int num ) { m_mode = num; }
	void showSettings();

protected slots:
	void setLangAsm() { m_lang = 0; cppBtn->setChecked(false); }
	void setLangCpp() { m_lang = 1; asmBtn->setChecked(false); }
    void chooseColor();
    virtual void languageChange();

protected:
	int m_mode;
	int m_lang;
	QColor m_color;
	QStringList m_tradList;

	QGroupBox* appGrpBox;
    QPushButton* colorBtn;

	QGroupBox* codeGrpBox;
    QRadioButton* asmBtn;
    QRadioButton* cppBtn;
    QComboBox* modeBox;
};


#endif
#endif
