#ifndef __PAINTZONE
#define __PAINTZONE

#include "main.h"

class QWidget;
#include <qscrollview.h>
#include <qpixmap.h>
#include <qcursor.h>
#include <qlabel.h>

class QPainter;

extern QColor Colors[];

#ifdef Q_OS_UNIX
#include "tab.h"
#else
#include "../mylibs/matrice.h"
#endif

class Selection;

class PaintLabel : public QLabel
{
Q_OBJECT
public:
	PaintLabel(QWidget* parent)
		: QLabel(parent,"paintlabel",WNoAutoErase|WStaticContents)
	{}
};


class PaintZone : public QScrollView
{
Q_OBJECT
public:
	PaintZone(QWidget* parent);
	~PaintZone();

public slots:
	void refresh( QRect zone );
	void init();
	void setConfig(Tab* data, int zoom);
	void setSelection(Selection* sel) { m_select = sel; }
	void setCurs(QCursor curs) { m_label->setCursor(curs); }
	
signals:
	void mousePressed(QPoint, Qt::ButtonState);
	void mouseReleased(Qt::ButtonState);
	void mouseMoved(QPoint);

protected:
	PaintLabel* m_label;
	Tab* m_data; // pointeur vers le tableau du viewer
	Tab m_data_saved; // tableau interne de ce qui est affich

	int m_largeur;
	int m_hauteur;
	int m_zoom;
	QRect m_globalzone;
	
	Selection* m_select;

	QPoint PlotToPixel(int x, int y);
	QPoint PlotToPixel(QPoint plot);
	QPoint PixelToPlot(int x, int y);
	QPoint PixelToPlot(QPoint pxl);

	void contentsMousePressEvent(QMouseEvent* e);
	void contentsMouseReleaseEvent(QMouseEvent* e);
	void contentsMouseMoveEvent(QMouseEvent* e);
};

#endif
