#ifndef __SELECT
#define __SELECT

#include <qobject.h>
#include <qrect.h>
#include <qpoint.h>
#include <qvariant.h>

#ifdef Q_OS_UNIX
#include "tab.h"
#else
#include "../mylibs/matrice.h"
#endif

enum SelStatus { Hidden,	// aucune selection dessinee
				 Setting,	// l'utilisateur est occupe a definir le cadre de selection
				 Moving,	// l'utilisateur deplace la selection
				 Ready,		// la selection est dessinee et prete a etre dplace (ou coupee etc)
				 Cleared };	// la fusion vient d'etre effectuee (on doit effacer le cadre)

class Selection : public QObject
{
Q_OBJECT

public:

	Selection()  { clear(); }
	Selection(Selection &sel);
	~Selection() { clear(); }


	void clear();
	
	SelStatus status() { return m_status; }
	void setStatus( SelStatus stat ) { m_status=stat; }
	QRect position() { return m_position; }
	void setPosition(QRect pos) { m_position=pos; m_largeur = pos.width(); m_hauteur=pos.height(); }
	
	void wannaSet(QPoint initPoint);
	void set(QPoint newPos);
	void stopSetting(Tab &dataTab, int coulfond);

	void wannaMove(QPoint initPoint);
	void move(QPoint newPos);
	void stopMoving();

	void fusion(Tab &dataTab);

	Tab m_data;		// tableau des pixels enregistres par la selection

	Selection & operator = (Selection &s)
	{
		m_data.copy(s.m_data);
		m_status = s.m_status;
		m_position = s.m_position;
		m_hauteur = s.m_hauteur;
		m_largeur = s.m_largeur;
		return *this;
	}
signals:
	void ready();
	void cleared();

protected:

	SelStatus m_status;
	QRect m_position;	// emplacement de la selection sur l'image
	int m_hauteur;
	int m_largeur;		// dimensions du tableau m_data

	QPoint m_basePointForSet;
	QPoint m_basePointForMove;

};

QRect makeRect(QPoint p1, QPoint p2);

#endif

