#ifndef __SPRITE
#define __SPRITE

#include "main.h"

#include <qwidget.h>
#include <qpixmap.h>
#include <qmessagebox.h>
#include <qpoint.h>

class QString;
class QColor;
class QFile;

#include "viewer.h"
#ifdef Q_OS_UNIX
#include "tab.h"
#else
#include "../mylibs/matrice.h"
#endif

class Config;

class Sprite : public QWidget
{
Q_OBJECT
public:
	Sprite(QWidget* parent, Config* pConfig, QString imagefile);
	Sprite(QWidget* parent, Config* pConfig, Tab &tab, QString nom, QPoint orig);
	Sprite(QWidget* parent, Config* pConfig);
	~Sprite() {}
		
	QString nom() { return m_nom; }
	QPixmap image() { return m_image; }
	int largeur() { return m_largeur; }
	int hauteur() { return m_hauteur; }
	Tab & tableau() { return m_tableau; }
	QPoint origin() { return m_orig; }
	bool isSelected() { return m_selected; }
	bool isModified() { return ((m_editor==0)? m_changed: m_editor->isModified()); }
	bool isCorrect() { return m_correct; }
	
	void setSelected(bool yes) { m_selected = yes; }
	void setNom(QString nouv) { m_nom = nouv; }

	void changeTransColor();
	void edit();

	bool saveTo(QFile* file);
	bool loadFrom(QFile* file);
	
//public slots:
//
signals:
	void dataChanged(Sprite*);
	void modeChanged(int);
	void editionEnded(Sprite*);

protected slots:
	void updateData();
	void endEdit();

protected:
	void init();
	void drawImage();
	void loadFile(QString &Filename);

	Viewer* m_editor;
	QString m_nom;
	QPixmap m_image;
	int m_largeur, m_hauteur;
	Tab m_tableau;
	QPoint m_orig;
	bool m_selected;
	bool m_changed;
	bool m_correct;
	Config* m_pConfig;

};

#endif
