#ifndef __TAB
#define __TAB

#include <qsize.h>
#include <qrect.h>
#include <qpoint.h>

class Tab
{
public:
	Tab() : m_tab(NULL), m_larg(0), m_haut(0){}
	Tab(Tab &modele)  : m_tab(NULL), m_larg(0), m_haut(0) { copy(modele); }
	Tab(Tab &modele, QRect r)  : m_tab(NULL), m_larg(0), m_haut(0) { copy(modele,r); }
	Tab(int larg, int haut);
	~Tab() { clear(); }

	Tab & adaptFromPtr(int larg, int haut, uchar* data);
	uchar* toNewPtr();

	uchar* row(int num) { Q_ASSERT(num<m_haut && num>=0); return m_tab[num]; }
	uchar* operator [] (int num) { return row(num); }

	uchar & operator [] (QPoint &elem) { return m_tab[elem.y()][elem.x()]; }
	uchar & element(int i, int j) { return m_tab[i][j]; }
	uchar & element(QPoint &elem) { return m_tab[elem.y()][elem.x()]; }
	const uchar operator [] (QPoint &elem) const { return element(elem); }
	const uchar element(int i, int j) const { return m_tab[i][j]; }
	const uchar element(QPoint &elem) const { return element(elem); }
	Tab &part(QRect r);
	

	void resize(int larg, int haut);
	void resize(QSize size) { resize(size.width(),size.height()); }
	QSize size() const { return QSize(m_larg, m_haut); }
	int height() const { return m_haut; }
	int width() const { return m_larg; }

	void flip(bool horiz); // true: horiz; false: vertic

	void clear();
	void fill(uchar value);
	void fill(QRect rect, uchar value);
	bool isNull() { return m_larg==0 || m_haut==0; }

	Tab & copy(Tab &modele);
	Tab & copy(Tab &modele, QRect rect);
	Tab & operator = (Tab &modele) { copy(modele); return *this; }

protected:
	uchar** m_tab;
	int m_larg, m_haut;
};

///////////////////////////////////////////////////////////////////////////////////////

#endif
