
#ifndef F100_PLUGIN

#include "../mylibs/myRFhdlr.h"
#include <qsettings.h>

MyRecentFilesHdlr::MyRecentFilesHdlr(QWidget* parent, QString domain, QString progName, uint maxsize)
	: QPopupMenu(parent,"MyRecentFilesHdlr")
	, m_domain(domain)
	, m_prog(progName)
	, m_max(maxsize)
{
	connect(this, SIGNAL(activated(int)), this, SLOT(itemSelected(int)));
	setDisabled(true);
	reload();
}

///////////////////////////////////////////////////////////////////////////////////////

void MyRecentFilesHdlr::save()
{
#ifndef F100_PLUGIN
	QSettings set;
	set.setPath(m_domain,m_prog);
	set.beginGroup("/Recent Files");

	int cpt=0;
	for(QStringList::Iterator it = m_list.begin(); it != m_list.end(); ++it )
	{
		cpt++;
		set.writeEntry( QString("/%1").arg(cpt), *it);
	}
	for(cpt++; cpt<=m_max; cpt++) set.removeEntry(QString("/%1").arg(cpt));
#endif
}

///////////////////////////////////////////////////////////////////////////////////////

void MyRecentFilesHdlr::reload()
{
#ifndef F100_PLUGIN
	QSettings set;
	set.setPath(m_domain,m_prog);

	m_list.clear();

	QStringList Entrylist = set.entryList("/Recent Files");
	if(Entrylist.isEmpty()) return; 

	uint cpt=0;
	for(QStringList::Iterator it = Entrylist.begin(); it != Entrylist.end() && cpt<m_max; ++it )
	{
		cpt++;
		m_list += set.readEntry("/Recent Files/" + *it);
	}

	createMenu();
#endif
}

///////////////////////////////////////////////////////////////////////////////////////

void MyRecentFilesHdlr::createMenu() 
{
	QPopupMenu::clear();
	
	int cpt=0;
	for(QStringList::Iterator it = m_list.begin(); it != m_list.end(); ++it )
	{
		cpt++;
		insertItem( QString("&%1 ").arg(cpt) + *it,cpt-1);
	}
	setDisabled(cpt==0);
}

///////////////////////////////////////////////////////////////////////////////////////

void MyRecentFilesHdlr::addFile(QString f)
{
	if(f.isEmpty()) return;
	f.replace('\\','/');
	if(m_list.contains(f)) m_list.remove(f);
	m_list.push_front(f);
	if(m_list.count()>m_max) m_list.pop_back();
	createMenu();
}

#endif
