/****************************************************************************
** $Id: qt/qtetrix.h   3.2.1   edited May 13 09:08 $
**
** Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
** This file is part of an example program for Qt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/

#ifndef QTETRIX_H
#define QTETRIX_H

#include <qframe.h>
#include <qlcdnumber.h>
#include <qpushbutton.h>
#include <qpainter.h>
#include <qlabel.h>

#include <ToolWindow.h>

#include "qtetrixb.h"

class ShowNextPiece : public QFrame
{
    Q_OBJECT
    friend class QTetrix;
public:
    ShowNextPiece( QWidget *parent=0, const char *name=0  );
public slots:
    void drawNextSquare( int x, int y,QColor *color );
signals:
    void update();
private:
    void paintEvent( QPaintEvent * );
    void resizeEvent( QResizeEvent * );
    
    int      blockWidth,blockHeight;
    int      xOffset,yOffset;
};


class QTetrix : public CToolWindow
{
    Q_OBJECT
public:
    QTetrix(CONSTRUCTOR_PARAMDEF);
    void startGame() { board->startGame(); }
	/** From CToolWindow */
	int  Init(INIT_PARAMDEF);
	bool OnlyOneInstance(){return  TRUE;}

protected:
	/** From CToolWindow */
	void DoShowCaption();
	void DoInitWords();

public slots:
    void gameOver();

private:
	void createLabel(QLabel*& pLabel, QWidget* parent);

private:
    QTetrixBoard  *board;
    ShowNextPiece *showNext;

    QLCDNumber    *showScore;
    QLCDNumber    *showLevel;
    QLCDNumber    *showLines;

	QLabel*       m_pNextLabel;
	QLabel*       m_pScoreLabel;
	QLabel*       m_pLevelLabel;
	QLabel*       m_pLinesLabel;

    QPushButton*  m_pStartButton;
    QPushButton*  m_pPauseButton;
};


void drawTetrixButton( QPainter *, int x, int y, int w, int h,
		       const QColor *color, QWidget *widg);


#endif
