
#include <F100_Op.h>

#include "qtetrix.h"


EXPORT_SYMB void Tool_Request(F100_Op op, void** ret, IMainWindow* ptr1, Qt::WFlags ptr2, QTabWidget* ptr3, QWidget* parent)
{
	switch(op)
	{
	case OP_TOOLNAME:
		//Courte description de l'outil visible dans le menu 'Outils' de F100
		*((QString*)ret) = QString("Tetrix");
		break;
	case OP_BUILDDATE:
		//Date de cration
		*ret = (void*)__DATE__;
		break;
	case OP_VERSION:
		//Version du plug-in
#ifndef _DEBUG
		*ret = (void*)"1.00";
#else
		*ret = (void*)"1.00 (Debug)";
#endif
		break;
	case OP_AUTHOR:
		//Auteur du plug-in
		*ret = (void*)"Trolltech & Dada66";
		break;
	case OP_CREATEINSTANCE:
		//Crer une instance
		*ret = new QTetrix(parent, ptr1, ptr2, ptr3);
		break;
	case OP_WINDOWTYPESTR:
		//Type du plug-in (pour voir si deux plug-ins ne sont identiques)
		*ret = (void*)"Tetrix";
		break;
	case OP_TOOLBARICON:
		//Implmenter ici pour ajouter le plug-in dans la barre d'outil
		//On doit retourner une icne (QPixmap)
		break;
	case OP_FILEFILTER:
		//Retourner un string pour indiquer le filtre ncessaire  l'ouverture du plug-in
		//ici pas besoin donc NULL.
		*((QString*)ret) = QString::null;
		break;
	case OP_DESCRIPTION:
		//Description gnrale du plug-in
		*((QString*)ret) = QTetrix::tr("Tetris Game");
		break;
	case OP_SUPPORTEDFILE:
		//Liste des extensions gres par le plug-in
		*ret = NULL;
		break;
	case OP_SETTINGSWIDGET:
		//Fentre d'options (ici aucune)
		*ret = NULL;
		break;
	}
}
