
#ifndef F100QT_H
#define F100QT_H

#include <qglobal.h>
#include <F100_Op.h>

/** \file F100Qt.h
 * \brief Contient des macros pour grer plusieurs versions de Qt.
 * \ingroup include
 */

#ifndef QT_VERSION
#	error Qt required  
#endif

#if QT_VERSION < 0x030200
#	define WNoAutoErase WResizeNoErase | WRepaintNoErase
#endif

#if QT_VERSION < 0x030200
/** Permet d'avoir le rpertoire du programme en cours d'excution. Utilise la mthode QApplication pour les versions
 * de Qt  partir de la 3.2.0. Sinon la macro retourne le rpertoire courant.
 */
#	define APP_DIR_PATH QString(".")
#else
#	define APP_DIR_PATH qApp->applicationDirPath()
#endif

#endif
