
#ifndef CASIO_H
#define CASIO_H

/** \file casio.h
 * \brief Contient des enumrations sur les types Casio
 * \ingroup include
 */

/** \brief Liste des travaux en relation avec Casio
 * \ingroup include
 */
namespace Casio{
	/** Liste des calculatrices Casio possibles */
	enum CasioModel {
		CM_INVALID   =  -1, /*!< Type invalide */
		CM_G100      =   1, /*!< Graph100      */
		CM_G100_PLUS =   3, /*!< Graph100+     */
		CM_GRAPH25   =   4, /*!< Graph 25      */
		CM_GRAPH30   =   6, /*!< Graph 30      */
		CM_GRAPH60   =  12, /*!< Graph 60      */
		CM_GRAPH65   =  14, /*!< Graph 65      */
		CM_GRAPH80   =  28, /*!< Graph 80      */
		CM_CLASSPAD  = 128, /*!< ClassPad      */
		CM_OTHER     = 512, /*!< Autre Casio   */
	};

	/** Liste des types de calculatrices */
	enum CasioType {
		CT_INVALID    =  -1, /*!< Type invalide */
		CT_G100_LIKE  =   1, /*!< Type Graph100(+)  */
		CT_GRAPH_LIKE =   4, /*!< Type Graph25  80 */
		CT_CLASSPAD   = 128, /*!< ClassPad  */
	};
}

#endif
